'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: b_lvl1_Copy_Table_Autopilot.inc,v $
'*
'*  $Revision: 1.4 $
'*
'*  last change: $Author: msc $ $Date: 2005/04/01 07:05:57 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : marc.neumann@sun.com
'*
'* short description : Copy Table Autopilot
'*
'************************************************************************
'*
' #1 tCopy_Table_Dialog_Definition_and_data
' #1 tCopy_Table_Dialog_Definition
' #1 tCopy_Table_Dialog_Attach_data
' #1 tCopy_Table_from_Text_Document
' #1 tCopy_Table_from_Calc_Document
' #1 tCopy_Table_from_dBase_to_Adabas
' *
'\**************************************************************************************
Dim sDSName as string
Dim sTabName as string
dim i as integer

sub b_lvl1_Copy_Table_Autopilot

	printlog "------------------- Copy_Table_Test.inc ------------------------"
	
	call tCopy_Table_Dialog_Definition_and_data        
    call tCopy_Table_Dialog_Definition        
    call tCopy_Table_Dialog_Attach_data        
    call tCopy_Table_from_Text_Document        
    call tCopy_Table_from_Calc_Document               
    call tCopy_Table_from_dBase_to_Adabas
    
end sub
'--------------------------------------------------------------------
testcase tCopy_Table_Dialog_Definition_and_data
	
    '/// open the bibliography database
    printlog "open the bibliography database"	
    call fOpenDatabase(gOfficePath + ConvertPath("user\database\biblio.odb"))

    '/// select the biblio table
    printlog "select the biblio table"
    call fFindtable("biblio")

    '/// press CTRL + C to copy the table and CTRL + V to paste the table again
    printlog "press CTRL + C to copy the table and CTRL + V to paste the table again"
    Kontext "Insight"
        Insight.typeKeys("<MOD1 C>",true)
        sleep(1)
        Insight.typeKeys("<MOD1 V>",true)
        sleep(1)

    '/// the copy table dialog appear
    printlog "the copy table dialog appear"	
	Kontext "CopyDatabaseTable"
        if not CopyDatabaseTable.Exists(3) then
            warnlog "the Copy Table Autopilot doesn't appear"
            goto endsub
        endif
    '/// click next
    printlog "click next"	
	Kontext "CopyDatabaseTable"
	    NextBt.Click
    '/// there should be a message that the table name already exists.
    printlog "there should be a message that the table name already exists."	
	Kontext "MessageBox"
	    If not MessageBox.Exists(1) then
            warnlog "There have to be an error messages that the table name already exists"
        else
            MessageBox.OK
        endif
	
    '/// change the table name to biblio2
    printlog "change the table name to biblio2" 
	Kontext "TabCopyDatabaseTable"	
	    TableName.setText "biblio2"
        DefinitionAndData.Check
    
    '/// click next
    printlog "click next"
	Kontext "CopyDatabaseTable"        	
        NextBt.Click

	sleep(1)

    '/// add all columns
    printlog "add all columns"	
	Kontext "TabColumnSelect"
	    AddAll.Click
        sleep(1)

    '/// click next
    printlog "click next"	
	Kontext "CopyDatabaseTable"
	    NextBt.Click
        sleep(1)

    '/// click OK
    printlog "click OK"	
	Kontext "CopyDatabaseTable"
        CopyDatabaseTable.OK	
        sleep(1)

    'TODO: check if the table is copied correct

    '/// delete the copy table
    printlog "delete the copy table"
    call fDeleteTable("biblio2")

	'/// close the database
    printlog "close the database"
	call fCloseDatabase()
    
endcase
'--------------------------------------------------------------------
testcase tCopy_Table_Dialog_Definition
    
    '/// open the bibliography database
    printlog "open the bibliography database"
    call fOpenDatabase(gOfficePath + ConvertPath("user\database\biblio.odb"))

    '/// select the biblio table
    printlog "select the biblio table"
    call fFindtable("biblio")
    
    '/// press CTRL + C to copy the table and CTRL + V to paste the table again
    printlog "press CTRL + C to copy the table and CTRL + V to paste the table again"
    Kontext "Insight"
        Insight.typeKeys("<MOD1 C>",true)
        sleep(1)
        Insight.typeKeys("<MOD1 V>",true)
        sleep(1)


    '/// the copy table dialog appear
    printlog "the copy table dialog appear"	
	Kontext "CopyDatabaseTable"
        if not CopyDatabaseTable.Exists(3) then
            warnlog "the Copy Table Autopilot doesn't appear"
            goto endsub
        endif
    '/// check definition
    printlog "check definition"
    Kontext "TabCopyDatabaseTable"
        Definition.Check

    '/// change the table name to biblio2
    printlog "change the table name to biblio2" 
	Kontext "TabCopyDatabaseTable"	
	    TableName.setText "biblio2"
        DefinitionAndData.Check
    '/// click next
    printlog "click next"
	Kontext "CopyDatabaseTable"	
        NextBt.Click
	sleep(1)

    '/// add all columns
    printlog "add all columns"	
	Kontext "TabColumnSelect"
	    AddAll.Click
        sleep(1)

    '/// click next
    printlog "click next"	
	Kontext "CopyDatabaseTable"
	    NextBt.Click
        sleep(1)

    '/// click OK
    printlog "click OK"
    Kontext "CopyDatabaseTable"	
        CopyDatabaseTable.OK	
        sleep(1)

    'TODO: check if the table is copied correct

    '/// delete the copy table
    printlog "delete the copy table"    
    call fDeleteTable("biblio2")

    '/// close the database
    printlog "close the database"
	call fCloseDatabase()
    
endcase
'--------------------------------------------------------------------
testcase tCopy_Table_Dialog_Attach_data

    '/// open the bibliography database
    printlog "open the bibliography database"    
    call fOpenDatabase(gOfficePath + ConvertPath("user\database\biblio.odb"))

    '/// select the biblio table
    printlog "select the biblio table"    
    call fFindtable("biblio")
    
    '/// press CTRL + C to copy the table and CTRL + V to paste the table again
    printlog "press CTRL + C to copy the table and CTRL + V to paste the table again"
    Kontext "Insight"
        Insight.typeKeys("<MOD1 C>",true)
        sleep(1)
        Insight.typeKeys("<MOD1 V>",true)
        sleep(1)

    '/// the copy table dialog appear
    printlog "the copy table dialog appear"	
	Kontext "CopyDatabaseTable"
        if not CopyDatabaseTable.Exists(3) then
            warnlog "the Copy Table Autopilot doesn't appear"
            goto endsub
        endif

    '/// check definition
    Kontext "TabCopyDatabaseTable"
        Definition.Check

    '/// change the table name to biblio3
    printlog "change the table name to biblio3" 
	Kontext "TabCopyDatabaseTable"	
	    TableName.setText "biblio3"
        DefinitionAndData.Check
    
    '/// click next
    printlog "click next"
	Kontext "CopyDatabaseTable"	
        NextBt.Click
        sleep(1)

    '/// add all columns
    printlog "add all columns"	
	Kontext "TabColumnSelect"
	    AddAll.Click
        sleep(1)

    '/// click next
    printlog "click next"	
	Kontext "CopyDatabaseTable"
	    NextBt.Click
        sleep(1)

    '/// click OK
    printlog "click OK"	
	Kontext "CopyDatabaseTable"
        CopyDatabaseTable.OK	
        sleep(1)

    '/// select the biblio table
    printlog "select the biblio table"
    call fFindtable("biblio")

    '/// press CTRL + C to copy the table and CTRL + V to paste the table again
    printlog "press CTRL + C to copy the table and CTRL + V to paste the table again"
    Kontext "Insight"
        Insight.typeKeys("<MOD1 C>",true)
        sleep(1)
        Insight.typeKeys("<MOD1 V>",true)
        sleep(1)

    '/// the copy table dialog appear
    printlog "the copy table dialog appear"	
	Kontext "CopyDatabaseTable"
        if not CopyDatabaseTable.Exists(3) then
            warnlog "the Copy Table Autopilot doesn't appear"
            goto endsub
        endif    	
    '/// change the table name to biblio3 and choose attach data
    printlog "change the table name to biblio3" 
	Kontext "TabCopyDatabaseTable"	
	    TableName.setText "biblio3"
        AttachData.Check

    '/// click next
    printlog "click next"
	Kontext "CopyDatabaseTable"	
        NextBt.Click
        sleep(1)
    
    '/// click OK
    printlog "click OK"
    Kontext "CopyDatabaseTable"	
        CopyDatabaseTable.OK	
        sleep(1)

    'TODO: check if the table is copied correct

    '/// delete the copy table
    call fDeleteTable("biblio3")

    '/// close the database
    call fCloseDatabase()
    
endcase
'--------------------------------------------------------------------
testcase tCopy_Table_from_Text_Document

    '/// open a new document
    printlog "open a new document"
	call hNewDocument

    '/// insert a table and insert some data
    printlog "insert a table and insert some data"	
    InsertTableWriter
    Sleep 2
    Kontext "TabelleEinfuegenWriter"
        wait 500
        TabelleEinfuegenWriter.OK
        Sleep 1
    Kontext "DocumentWriter"
        DocumentWriter.TypeKeys "field1" , true
        DocumentWriter.TypeKeys "<TAB>" , true
        DocumentWriter.TypeKeys "field2" , true
        DocumentWriter.TypeKeys "<TAB>" , true
        DocumentWriter.TypeKeys "field3" , true
        DocumentWriter.TypeKeys "<TAB>" , true
        DocumentWriter.TypeKeys "field4" , true
        DocumentWriter.TypeKeys "<TAB>" , true
        DocumentWriter.TypeKeys "field5" , true
        DocumentWriter.TypeKeys "<TAB>" , true
        DocumentWriter.TypeKeys "1" , true
        DocumentWriter.TypeKeys "<TAB>" , true
        DocumentWriter.TypeKeys "value1" , true
        DocumentWriter.TypeKeys "<TAB>" , true
        DocumentWriter.TypeKeys "value2" , true
        DocumentWriter.TypeKeys "<TAB>" , true
        DocumentWriter.TypeKeys "31.7.2003" , true
        DocumentWriter.TypeKeys "<TAB>" , true
        DocumentWriter.TypeKeys "<MOD1 A>" , true
        sleep(1)
        DocumentWriter.TypeKeys "<MOD1 C>" , true    
    sleep(2)
    
    '/// open database for past to
    call fOpenDatabase(gOfficePath + ConvertPath("user\database\biblio.odb"))

    '/// select the biblio table    
    call fFindtable("biblio")

    '/// press CTRL + V to paste the table
    Kontext "Insight"
        Insight.typeKeys("<MOD1 V>",true)
        sleep(1)

    '/// the copy table dialog appear
    printlog "the copy table dialog appear"	
	Kontext "CopyDatabaseTable"
	if not CopyDatabaseTable.Exists(3) then
		warnlog "the Copy Table Autopilot doesn't appear"
		goto endsub
	endif
    '/// change the table name to biblio2
    printlog "change the table name to biblio2"
	Kontext "TabCopyDatabaseTable"	
	    TableName.setText "biblio2"

    '/// select Definition and Data
    printlog "select Definition and Data"	
	DefinitionAndData.Check

    '/// click next
    printlog "click next"
	Kontext "CopyDatabaseTable"
        NextBt.Click
        sleep(1)

    '/// add all columns
    printlog "add all columns"	
	Kontext "TabColumnSelect"
        AddAll.Click
        sleep(1)

    '/// click next
    printlog "click next"	
	Kontext "CopyDatabaseTable"
        NextBt.Click
        sleep(1)

    '/// click OK
    printlog "click OK"
	CopyDatabaseTable.OK	
	sleep(1)	

    'TODO: check if the table is copied correct

    '/// delete the copy table
    printlog "delete the copy table"
    call fDeleteTable("biblio2")
    
    '/// close the database
    printlog "close the database"
    call fCloseDatabase

    '/// close the document
    printlog "close the document"
    call hCloseDocument

endcase
'--------------------------------------------------------------------
testcase tCopy_Table_from_Calc_Document

    '/// open a new calc document
    printlog "open a calc new document"
	gApplication = "Calc"
    call hNewDocument    

    '/// insert some data
    printlog "insert some data"
    Kontext "DocumentCalc"
        DocumentCalc.TypeKeys "field1" , true
        DocumentCalc.TypeKeys "<TAB>" , true
        DocumentCalc.TypeKeys "field2" , true
        DocumentCalc.TypeKeys "<TAB>" , true
        DocumentCalc.TypeKeys "field3" , true
        DocumentCalc.TypeKeys "<TAB>" , true
        DocumentCalc.TypeKeys "field4" , true
        DocumentCalc.TypeKeys "<TAB>" , true
        DocumentCalc.TypeKeys "field5" , true
        DocumentCalc.TypeKeys "<TAB>" , true
        DocumentCalc.TypeKeys "<RETURN>" , true
        DocumentCalc.TypeKeys "<HOME>" , true
        DocumentCalc.TypeKeys "1" , true
        DocumentCalc.TypeKeys "<TAB>" , true
        DocumentCalc.TypeKeys "value1" , true
        DocumentCalc.TypeKeys "<TAB>" , true
        DocumentCalc.TypeKeys "value2" , true
        DocumentCalc.TypeKeys "<TAB>" , true
        DocumentCalc.TypeKeys "31.7.2003" , true
        DocumentCalc.TypeKeys "<TAB>" , true
        DocumentCalc.TypeKeys "<MOD1 A>" , true
        sleep(1)
        DocumentCalc.TypeKeys "<MOD1 C>" , true    
    sleep(2)
    

    '/// open database for past to
    printlog "open database for past to"
    call fOpenDatabase(gOfficePath + ConvertPath("user\database\biblio.odb"))
    
    '/// select the biblio table
    printlog "select the biblio table"
    call fFindtable("biblio")

    '/// press CTRL + V to paste the table again
    Kontext "Insight"
        Insight.typeKeys("<MOD1 V>",true)
        sleep(1)

    '/// the copy table dialog appear
    printlog "the copy table dialog appear"	
	Kontext "CopyDatabaseTable"
	if not CopyDatabaseTable.Exists(3) then
		warnlog "the Copy Table Autopilot doesn't appear"
		goto endsub
	endif
    '/// change the table name to biblio2
    printlog "change the table name to biblio2"	
	Kontext "TabCopyDatabaseTable"	
	    TableName.setText "biblio2"

    '/// select Definition and Data
    printlog "select Definition and Data"	
	DefinitionAndData.Check

    '/// click next
    printlog "click next"
	Kontext "CopyDatabaseTable"
    	NextBt.Click
        sleep(1)

    '/// add all columns
    printlog "add all columns"	
	Kontext "TabColumnSelect"
        AddAll.Click
        sleep(1)

    '/// click next
    printlog "click next"	
	Kontext "CopyDatabaseTable"
	NextBt.Click
	sleep(1)

    '/// click OK
    printlog "click OK"
	CopyDatabaseTable.OK	
	sleep(1)
	
    'TODO: check if the table is copied correct

    '/// delete the copy table
    printlog "delete the copy table"
    call fDeleteTable("biblio2")
    
    '/// close the database
    printlog "close the database"
    call fCloseDatabase

    '/// close the document
    printlog "close the document"    
    call hCloseDocument

    gApplication = "Writer"

endcase
'--------------------------------------------------------------------
testcase tCopy_Table_from_dBase_to_Adabas

    if gtSYSName = "Solaris x86" then
        printlog "This test use adabas and adabas is not available under Solaris x86."
        goto endsub        
	endif     

    '/// create a new adabas database
    printlog "create a new adabas database"
    call fCreateAdabasDatasource( gOfficePath + "TT_ada2.odb", "waikiki-3086.germany.sun.com:TTDB", "testtool")

    '/// open the new database
    printlog "open the new database"
    call fOpenDatabase(gOfficePath + "TT_ada2.odb" , "testtool")    

    '/// select the tabel TT_CopyTest
    printlog "select the tabel TT_CopyTest"
    call fFindTable("TT_CopyTest")

    '/// press CTRL + C to copy the table
    printlog "press CTRL + C to copy the table"
    Kontext "Insight"
        Insight.typeKeys("<MOD1 C>",true)

    '/// open teh bibliograpgy database
    printlog "open teh bibliograpgy database"
    call fOpenDatabase(gOfficePath + "user\database\biblio.odb")

    '/// select the biblio table
    printlog "select the biblio table"
    call fFindTable("biblio")
    
    '/// press CTRL + V to paste the table
    Kontext "Insight"
        Insight.typeKeys("<MOD1 V>",true)

    '/// the copy table dialog appear
    printlog "the copy table dialog appear"	
	Kontext "CopyDatabaseTable"
	if not CopyDatabaseTable.Exists(3) then
		warnlog "the Copy Table Autopilot doesn't appear"
		goto endsub
	endif

    '/// select Definition and Data
    printlog "select Definition and Data"
	Kontext "TabCopyDatabaseTable"	
	    DefinitionAndData.Check

    '/// click next
    printlog "click next"
	Kontext "CopyDatabaseTable"
        NextBt.Click

    '/// add all columns
    printlog "add all columns"	
	Kontext "TabColumnSelect"
        AddAll.Click
        
    '/// click next
    printlog "click next"	
	Kontext "CopyDatabaseTable"
	    NextBt.Click
	
    '/// click OK
    printlog "click OK"
	CopyDatabaseTable.OK	
	sleep(1)

    Kontext "MessageBox"
    if MessageBox.exists(3) then
        printlog "There is a messageBox. " + MessageBox.getText
        MessageBox.Yes        
    endif

    if MessageBox.exists(3) then
        printlog "There is a messageBox. " + MessageBox.getText
        MessageBox.OK        
    endif
    
    '/// delete the copied table
    printlog "delete the copied table"
    call fDeleteTable("TT_CopyTest")

    '/// close the database
    printlog "close the database"
    call fCloseDatabase()

    '/// close the other database
    printlog "close the other database"
    call fCloseDatabase()
    
endcase
'--------------------------------------------------------------------


