'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: c_lvl1_adjust.inc,v $
'*
'*  $Revision: 1.1 $
'*
'*  last change: $Author: pj $ $Date: 2004/05/19 10:10:10 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : peter.junge@Sun.COM
'*
'* short description  :  Important adjustments for Level 1 test (code stolen from dummyuser.bas by Jogi Sievers)
'*
'************************************************************************
'*
' #1 c_lvl1_adjust ' Initial routine
' #1 tUserdata
' #1 tInternetMail
'*
'\***********************************************************************
sub c_lvl1_adjust
   printlog "--- Starting with adjustment for later test cases! ---"

   call tUserdata
   call tInternetMail
end sub

testcase tUserdata
   printlog "- Enter Userdata!"
    ExtrasOptionen
    Kontext "ExtrasOptionenDLG"
     call hToolsOptions("STAROFFICE","Userdata")
    if Firma.IsEnabled then Firma.SetText "Dummy Consulting"
    if Vorname.IsEnabled then Vorname.SetText "Dummy"
    if ZuName.IsEnabled then ZuName.SetText "User"

     if iSprache = 1 then
      if Street.IsEnabled then Street.SetText "Dummy Road 4"
      if Zip.IsEnabled then Zip.SetText "0815"
      if City.IsEnabled then City.SetText "Dummy Ville"
     else
      if Strasse.IsEnabled then Strasse.SetText "Dummy Road 4"
      if PLZ.IsEnabled then PLZ.SetText "0815"
      if Ort.IsEnabled then Ort.SetText "Dummy Ville"
    endif

    if Land.IsEnabled then Land.SetText "DE"
    if Kuerzel.IsEnabled then Kuerzel.SetText "Dummy"
    if TelGe.IsEnabled then TelGe.SetText "+49-40-5550815"
    if Fax.IsEnabled then Fax.SetText "+49-40-5554711"
    if eMail.IsEnabled then eMail.SetText "dummy.user@openoffice.org"

   Kontext "ExtrasOptionenDLG"
    call hToolsOptions("LanguageSettings","Languages")

    printlog "- Check Language-Settings!"
select case iSprache
      case 01   : if Westlich.GetSelText <> "English (USA)" then warnlog "Language setting for language code " & iSprache & " is wrong: Entry should is '" & Westlich.GetSelText & "'."
      case 03   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 07   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 30   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 31   : if Westlich.GetSelText <> "Nederlands" then warnlog "Language setting for language code " & iSprache & " is wrong: Entry should is '" & Westlich.GetSelText & "'."
      case 33   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 34   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 35   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 36   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 37   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 39   : if Westlich.GetSelText <> "Italiano" then warnlog "Language setting for language code " & iSprache & " is wrong: Entry should is '" & Westlich.GetSelText & "'."
      case 42   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"        
      case 43   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 44   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 45   : if Westlich.GetSelText <> "Dansk" then warnlog "Language setting for language code " & iSprache & " is wrong: Entry should is '" & Westlich.GetSelText & "'."         
      case 46   : if Westlich.GetSelText <> "Svenska" then warnlog "Language setting for language code " & iSprache & " is wrong: Entry should is '" & Westlich.GetSelText & "'."
      case 47   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 48   : if Westlich.GetSelText <> "Polski" then warnlog "Language setting for language code " & iSprache & " is wrong: Entry should is '" & Westlich.GetSelText & "'."
      case 49   : if Westlich.GetSelText <> "Deutsch" then warnlog "Language setting for language code " & iSprache & " is wrong: Entry should is '" & Westlich.GetSelText & "'."
      case 55   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"        
      case 66   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 81   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 82   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 86   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 88   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 90   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 91   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 96   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case 97   : QAErrorlog "Add language setting to test script in calc::level1::inc::c_lvl1_adjust.inc!"
      case else : QAErrorlog "Add language to framework? Or may be detection is wrong!?"
end select

   Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK
endcase

'-------------------------------------------------------------------------

testcase tInternetMail
   ExtrasOptionen
   Kontext "ExtrasOptionenDLG"
    call hToolsOptions("Internet","Proxy")
    if NOT HttpProxy.IsEnabled then ProxyServer.Select(2)
    if NOT HttpProxy.IsEnabled then ProxyServer.Select(3)
    if NOT HttpProxy.IsEnabled then print "Impossible to edit the server settings!!" 
     HttpProxy.SetText "so-webcache.germany.sun.com"
     HttpPort.SetText "3128"
     FtpProxy.SetText "so-webcache.germany.sun.com"
     FtpPort.SetText "3128"
     NoProxy.SetText "*.germany.sun.com;*.germany.Sun.COM;*.Germany.Sun.COM;ldap1.holland.sun.com"
   Kontext "ExtrasOptionenDLG"
    ExtrasOptionenDlg.OK
endcase


