'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: c_chinesetranslate.bas,v $
'*
'*  $Revision: 1.2 $
'*
'*  last change: $Author: pj $ $Date: 2005/03/30 15:51:36 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*******************************************************************
'*
'* owner :  hercule.li@sun.com
'*
'* short description : Test Chinese Translation
'*
'\*******************************************************************

sub main

   Dim StartZeit
   Dim bAsianLanguage   as Boolean
   Dim DefaultLanguage  as String
   
   StartZeit = Now()

   use "calc\special\inc\chinesetranslate\c_chinesetranslate1.inc"
   use "calc\special\inc\chinesetranslate\c_chinesetranslate2.inc"
   
   
   printlog Chr(13) + "Loading of Include - Files takes: " + Wielange ( StartZeit )

   Call hStatusIn ( "calc", "c_chinesetranslate.bas" , "Chinese translation" )
 
   printlog Chr(13) + "- Test Chinese Translation"
           
   ' Enable 'Asian Language support' ON
     bAsianLanguage = ActiveDeactivateAsianSupport(TRUE)
   ' Set default language(asian) for document is "Simplified Chinese"
     DefaultLanguage = fSetAsian(fGetLanguageName(86))

     printlog Chr(13) + " -- Default setting -- "  
     'Don't need to test tDefaultSetting_1
     'Call tDefaultSetting_1
     Call tDefaultSetting_2     
     Call tDefaultSetting_3
     
     printlog Chr(13) + " -- Standard Function -- "
     Call tChineseTranslate_1
     Call tChineseTranslate_2
     Call tChineseTranslate_3
     Call tChineseTranslate_4
     'Mark this case , since we don't use 'Use Taiwan , Hongkong SAR...'s statue so far
     'Call tChineseTranslate_5

     printlog Chr(13) + " -- Chinese Dictionary -- "
     Call tChineseTranslate_6
     Call tChineseTranslate_7
     Call tChineseTranslate_8
     Call tChineseTranslate_9
     Call tChineseTranslate_10
     Call tChineseTranslate_11

     printlog Chr(13) + " -- Undo/Redo -- "
     Call tUndoRedo
                                               
   'Set default language(asian) to default
     Call fSetAsian(DefaultLanguage)

     ToolsLanguageChineseTranslation
     Kontext "ChineseTranslation"
       TranslateCommonTerms.UnCheck
     ChineseTranslation.OK
             
    'Set the 'Asian Language support' to default
     if bAsianLanguage = FALSE then
         Call ActiveDeactivateAsianSupport(FALSE)
     end if

   Call hStatusOut

   Printlog Chr(13) + "End of Chinese Conversion test"
   Printlog "Duration: "+ WieLange ( StartZeit )
   Printlog "Date: " +  Date + "    Time: " + Time

end sub

sub LoadIncludeFiles
   use "global\system\inc\master.inc"
   use "global\system\inc\gvariabl.inc"
   use "global\tools\inc\t_doc1.inc"
   use "global\tools\inc\t_tools1.inc"
   use "calc\tools\c_tool.inc"
   use "calc\tools\c_tool_1.inc"
   use "calc\tools\gvar.inc"

   gApplication   = "Calc"
   Call GetUseFiles
end Sub
