'encoding UTF-8	 Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: validity_tools.inc,v $
'*
'*  $Revision: 1.3 $
'*
'*  last change: $Author: pj $ $Date: 2005/01/27 16:35:16 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'**
'** owner : peter.junge@Sun.COM
'**
'** short description : Subroutines for the data validity test
'**
'************************************************************************
' **
' #0 check_message ' Check if the messages in validity test are OK
' **
'\***********************************************************************

sub check_message(MType as String, Celladdress as String, cellcontent as String, wrong as String)
'/// Sub routine for checking message 
    if MType <> "Macro" then
        Kontext "RechenleisteCalc"
        if not RechenleisteCalc.isvisible then
           ViewToolbarsFormulaBar
        end if
        Kontext "RechenleisteCalc"
        Bereich.TypeKeys "<MOD1 A>"
        Bereich.TypeKeys Celladdress
        sleep(1)
        Bereich.TypeKeys "<RETURN>"
    
        Kontext "DocumentCalc"
        DocumentCalc.TypeKeys cellcontent
        DocumentCalc.TypeKeys "<RETURN>"
        kontext "active"
        if active.exists(2) then
            warnlog "Value " & cellcontent & " is correct in cell "& Celladdress & ", so no " & MType & " message must not be appear"
            if MType = "Stop" then
                active.OK
            else
                active.Cancel
            end if
        else
            printlog "OK, no " & MType & " message appears, by inserting the correct value into " & Celladdress
        end if

        Kontext "RechenleisteCalc"
        if not RechenleisteCalc.isvisible then
            ViewToolbarsFormulaBar
        end if
        Kontext "RechenleisteCalc"
        Bereich.TypeKeys "<MOD1 A>"
        Bereich.TypeKeys Celladdress
        sleep(1)
        Bereich.TypeKeys "<RETURN>"
        Kontext "DocumentCalc"
        DocumentCalc.TypeKeys wrong
        DocumentCalc.TypeKeys "<RETURN>"
        kontext "active"
        if active.exists(2) then
            printlog "OK, value " & wrong & " is not correct in cell " & Celladdress & ", so the " & MType & " message has to be appear"
            if MType = "Stop" then
                active.OK
            else
                active.Cancel
            end if
        else
            warnlog "Value " & wrong & " is not correct for cell " & Celladdress & ", so the " & MType & " message has to be appears"
        end if
    else
        Kontext "RechenleisteCalc"
        if not RechenleisteCalc.isvisible then
            ViewToolbarsFormulaBar
        end if
        Kontext "RechenleisteCalc"
        Bereich.TypeKeys "<MOD1 A>"
        Bereich.TypeKeys Celladdress
        sleep(1)
        Bereich.TypeKeys "<RETURN>"
        Kontext "DocumentCalc"
        DocumentCalc.TypeKeys cellcontent
        DocumentCalc.TypeKeys "<RETURN>"
        DocumentCalc.TypeKeys "<UP><RIGHT>"
        FormatCells
        Kontext
        Active.setPage TabFontEffects
        Kontext "TabFontEffects"
        if FontColor.getSelIndex = 1 then
            printlog "OK, the macro detect the correct word in " & Celladdress
        else
            warnlog "The Fontcolor is " & FontColor.getSelText & " instead of automatic in cell " & Celladdress
        end if
        TabFontEffects.Cancel
           
        Kontext "RechenleisteCalc"
        if not RechenleisteCalc.isvisible then
            ViewToolbarsFormulaBar
        end if
        Kontext "RechenleisteCalc"
        Bereich.TypeKeys "<MOD1 A>"
        Bereich.TypeKeys Celladdress
        sleep(1)
        Bereich.TypeKeys "<RETURN>"
        Kontext "DocumentCalc"
        DocumentCalc.TypeKeys wrong
        DocumentCalc.TypeKeys "<RETURN>"
        DocumentCalc.TypeKeys "<UP><RIGHT>"
        FormatCells
        Kontext
        Active.setPage TabFontEffects
        Kontext "TabFontEffects"
        if FontColor.getSelIndex = 12 then
            printlog "OK, the macro detect the wrong word in " & Celladdress
        else
            warnlog "The Fontcolor is " & FontColor.getSelText & " instead of light green in cell " & Celladdress
        end if
        TabFontEffects.Cancel
    end if

end sub

