'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: inst_3a.inc,v $
'*
'*  $Revision: 1.1 $
'*
'*  last change: $Author: jsk $ $Date: 2004/03/09 12:54:59 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*    - GNU Lesser General Public License Version 2.1
'*    - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/**************************************************************************
'*
'* owner : joerg.skottke@sun.com
'*
'* short description : Installation Test (subroutines for inst_3.inc)
'*
'***************************************************************************
'**
' #1 VergleicheInhalte
' #1 Compare2Lists
'**
'\***************************************************************************

sub VergleicheInhalte ( lsInhalte(), Index, Variante )
Dim sFilename as String
Dim ssList (1000) as String

   ssList ( 0 ) = 0

 ' Line styles ( standard.sod, *.sod )
   if Index = 1 then
      if Variante = 1 then sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\lines\stand" + siSprache + ".txt" )
      if Variante = 2 then sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\lines\styles" + siSprache + ".txt" )
   end if

 ' Linien ends ( arrows ) ( standard.sow, *.soe )
   if Index = 2 then
      if Variante = 1 then sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\arrows\stand" + siSprache + ".txt" )
      if Variante = 2 then sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\arrows\arrow" + siSprache + ".txt" )
   end if

 ' Colors ( standard.soc, *.soc )
   if Index = 3 then
      if Variante = 1 then sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\colors\stand" + siSprache + ".txt" )
      if Variante = 2 then sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\colors\palet.txt" )
      if Variante = 3 then sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\colors\cmyk.txt" )
      if Variante = 4 then sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\colors\web.txt"  )
      if Variante = 5 then sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\colors\html.txt" )
      if Variante = 6 then sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\colors\gall.txt" )
      if Variante = 7 then sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\colors\sun.txt"  )
   end if

 ' Gadients ( Standard.sog, *.sog )
   if Index = 4 then
      if Variante = 1 then sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\gradient\stand"  + siSprache + ".txt" )
      if Variante = 2 then sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\gradient\class"  + siSprache + ".txt" )
      if Variante = 3 then sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\gradient\modern" + siSprache + ".txt" )
   end if

 ' Hatchings = standard.soh
   if Index = 5 then
      if Variante = 1 then sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\hatching\stand" + siSprache + ".txt" )
      if Variante = 2 then sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\hatching\hatch" + siSprache + ".txt" )
   end if

 ' Bitmap = standard.soh
   if Index = 6 then
      if Variante = 1 then sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\bitmap\stand" + siSprache + ".txt" )
   end if

 ' Name of Table-formats ( internal )
   if Index = 7 then
      sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\tables\table" + siSprache + ".txt" )
   end if

 ' Name of Label-formats
   if Index = 8 then
      sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\labels\lab" + Variante + siSprache + ".txt" )
   end if

   'Compare the lists or create a new one if it does not exist
   if Dir ( sFilename ) = "" then
      Warnlog "The file for comparison does not exists. The file will be written!"
      Warnlog "Please control : " + sFilename
      ListWrite ( lsInhalte(), sFilename, "utf8" )
   else
      printlog "  file for comparison is : " + sFilename
      ListRead ( ssList (), sFilename, "uft8" )
      Compare2Lists ( lsInhalte(), ssList () )
   end if

end sub

sub CompareAutoText ( lsInhalte() )
Dim sFilename as String
Dim ssList (1000) as String

 ' Name of autotexts
   sFilename = ConvertPath ( gTesttoolpath + "framework\extras\input\formats\autotext\atext_" + siSprache + ".txt" )

   if Dir ( sFilename ) = "" then
      Warnlog "The file for comparison does not exists. The file will be written!"
      Warnlog "Please control : " + sFilename
      ListWrite ( lsInhalte(), sFilename, "utf8" )
   else
      printlog "  file for comparison is : " + sFilename
      ListRead ( ssList (), sFilename, "uft8" )
      Compare2Lists ( lsInhalte(), ssList () )
   end if

end sub

sub Interneteinstellungen

   WARNLOG( "DELETE ME, IF YOU CAN!" )

   ToolsOptions
   hExtrasOptionen ( "Internet", "TabProxyServer" )
   if not HttpProxy.IsEnabled then ProxyServer.Select 2
   if not HttpProxy.IsEnabled then ProxyServer.Select 3
   if not HttpProxy.IsEnabled then Print "Die Servereinstellungen konnten nicht schreibbar geschaltet werden"

   HttpProxy.SetText "ns.stardivision.de"
   HttpPort.SetText "3128"
   FTPProxy.SetText "ns.stardivision.de"
   FTPPort.SetText "3128"
   KeinProxy.SetText "*.stardiv.*;*.stardivision.*;T4-Killer"
   Sleep 1

   Kontext "OptionenDlg"
   OptionenDlg.OK
   Sleep 1
end sub


function Compare2Lists ( ListOne() as String, ListTwo() as String )
   dim lsListErr(1000) as String
   dim i as Integer, j as Integer

   for i=1 to ListCount ( ListOne() )
       for j=1 to ListCount ( ListTwo() )
           if ListOne(i) = ListTwo(j) then
              ListDelete ( ListTwo(), j )
              j=1000
           end if
       next j
       if j<1000 then ListAppend ( lsListErr(), ListOne(i) )
   next i

   for i=1 to ListCount ( lsListErr() )
      Warnlog "new  -> : " + lsListErr(i)
   next i

   for i=1 to ListCount ( ListTwo() )
      Warnlog "lost <- : " + ListTwo(i)
   next i

end function
