'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: l1_new.inc,v $
'*
'*  $Revision: 1.2 $
'*
'*  last change: $Author: tbo $ $Date: 2005/05/11 17:34:31 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'***********************************************************************
'*
'* owner : thorsten.bosbach@sun.com
'*
'* short description : Graphic export (3rd part of first.bas)
'*
'/************************************************************************
'**
' #1 NewCloseDok                      ' open an applications and close it
' #1 NewDok                           ' open all applications and close one by one
'**
'\***************************************************************************

testcase NewCloseDok

   PrintLog "    open and close all documenttypes"
    
'///open all applications and close the document

'///file/new/textdocument => file/close

   Call hNewCloseDocument ("Writer")
    
'///file/new/spreadsheet => file/close

   Call hNewCloseDocument ("Calc")
    
'///file/new/presentation => file/close

   Call hNewCloseDocument ("Impress")
    
'///file/new/drawing => file/close

   Call hNewCloseDocument ("Draw")
    
'///file/new/formular => file/close

   Call hNewCloseDocument ("Math")
    
'///file/new/HTML document => file/close

   Call hNewCloseDocument ("HTMLDokument")
    
'///file/new/master document => file/close

   Call hNewCloseDocument ("MASTERDOC")

endcase

' ************************************************
' **
testcase NewDok
  Dim i%
   PrintLog "   open all applications and close all one by one"
'///open all document types and close all one by one
'///create a new Writer-doc
'///+a new Calc-doc
'///+a new Impress-doc
'///+a new Draw-doc
'///+a new HTML-doc
'///+a new Master-doc
'///+a new Math-doc
   Call NewDocument ("Writer")
   Call NewDocument ("Calc")
   Call NewDocument ("Impress")
   Call NewDocument ("Draw")
   Call NewDocument ("Math")
   Call NewDocument ("HTMLDokument")
   Call NewDocument ("MASTERDOC")

'///close one by one with file/close
   PrintLog "   Close all documents ( file/close )"
   for i%=1 to 7
      Kontext "Navigator"
      if Navigator.Exists then Navigator.Close
      Sleep (1)
      FileClose
      kontext "Active"
      if Active.Exists(3) then
         try
            Active.No
         catch
            Active.Click ( 202 )
         endcatch
      end if
   next i%
endcase

' +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
' +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
' +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
sub hNewCloseDocument ( sApplikation as String )
  PrintLog "- " + sApplikation
   gApplication = sApplikation

   try
      hNewDocument
      if gApplication = "DRAW" OR gApplication = "IMPRESS" then
         hTextrahmenErstellen ( "Dummy text", 20, 20, 50, 50 )
      else
         hTypeKeys "Dummy text<Return>"
      end if
      Sleep 2
      Kontext "Navigator"
      if Navigator.Exists then Navigator.Close
      hCloseDocument
   catch
      Warnlog gApplication + ": a error is occurred."
      Exceptlog
   endcatch
end sub

' +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
sub NewDocument ( sApplikation as String )
 PrintLog "- " + sApplikation
   gApplication = sApplikation
   try
      hNewDocument
      if gApplication = "DRAW" OR gApplication = "IMPRESS" then
         hTextrahmenerstellen ( "Dummy text",20,20,50,50 )
      else
         Call hTypeKeys "Dummy text<Return>"
      end if
      Sleep 2
   catch
      Warnlog gApplication + ": a error is occurred."
      Exceptlog
   endcatch
end sub

