'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: CJK_FeatureSwitch.bas,v $
'*
'*  $Revision: 1.3 $
'*
'*  last change: $Author: tbo $ $Date: 2005/03/31 10:30:47 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'/*********************************************************************
'*
'* owner: thorsten.bosbach@sun.com
'*
'* short description: CJK feature switch test
'*
'\*********************************************************************

global sAsianLanguageFlag as String

sub main
    printlog "---------------------------------------------------------------------"
    printlog "-----                    CJK feature switch test                -----"
    printlog "---------------------------------------------------------------------"
   
    use "framework\level2\CJK\inc\CJK_FeatureSwitchTest_1.inc"
    use "framework\level2\CJK\inc\tools.inc"
    
    sAsianLanguageFlag = CheckAsianLanguageSupport("Current")

    call CheckAsianLanguageSupport("On")
    
    call hStatusIn("framework", "CJK_FeatureSwitch.bas") 
      printlog Chr(13) + "- CJK Feature Switch test -- Writer"    
          call tSwitchLocation      
          '--Turn on/off Asian language support --"
          call tWriterUIChangesTest1    
          call tWriterUIChangesTest2    
          call tWriterUIChangesTest3    
          call tWriterUIChangesTest4    
          call tWriterUIChangesTest5    
          call tWriterUIChangesTest6    
          call tWriterUIChangesTest7    
          call tWriterUIChangesTest8    
          call tWriterUIChangesTest9    
          call tWriterUIChangesTest10   
          call tWriterUIChangesTest11   
          call tProlongedVowelsTest1    
      printlog Chr(13) + "- CJK Feature Switch test -- Calc"
          gApplication = "Calc"
          '--Turn on/off Asian language support --"
          call tCalcUIChangesTest_10       
      printlog Chr(13) + "- CJK Feature Switch test -- Impress"
          gApplication = "IMPRESS"
          '--Turn on/off Asian language support --"
          call tImpressUIChangesTest_10          
      printlog Chr(13) + "- CJK Feature Switch test -- Draw"
          gApplication = "DRAW"    
          '--Turn on/off Asian language support --"
          call tDrawUIChangesTest_10

    call hStatusOut

    if sAsianLanguageFlag = "Off" then  
        call CheckAsianLanguageSupport("Off")
     else 
       call CheckAsianLanguageSupport("On")
    end if      
end sub

'-------------------------------------------------------------------------

sub LoadIncludeFiles
   use "global\system\inc\master.inc"
   use "global\system\inc\gvariabl.inc"
   gApplication   = "Writer"
   call GetUseFiles
end sub
