'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: f_opt.bas,v $
'*
'*  $Revision: 1.5 $
'*
'*  last change: $Author: tbo $ $Date: 2005/05/31 15:37:33 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : thorsten.bosbach@sun.com
'*
'* short description : General Tools/Options test
'*
'\***********************************************************************

sub main

   use "framework\options\inc\opt_tool.inc"

   use "framework\options\inc\opt_so_4.inc"
   use "framework\options\inc\opt_so_5.inc"
   use "framework\options\inc\opt_lan1.inc"
   use "framework\options\inc\opt_int1.inc"
   use "framework\options\inc\opt_ls_2.inc"
   use "framework\options\inc\opt_asia.inc"
   use "framework\options\inc\opt_data.inc"

   Call hStatusIn ( "framework", "f_opt.bas")
   
   ' Reset the autosave feature to 15 min, confirm and disable autosave
   call hResetAutosave()

   printlog " 1. part : test if all global options are saved"

   call opt_lan1
   Call tInternetProxy
   Call tInternetSearch
   Call tDatasourceConnections

   printlog " 2. part : test the functionality of some options"
   Call func_StarOfficeGeneral_1
   Call func_StarOfficeGeneral_2
   Call func_StarOfficeGeneral_3
   Call func_StarOfficeGeneral_4
   Call func_StarOfficeMemory_1
   Call func_StarOfficeView_1
   Call func_StarOfficeView_2
   Call func_StarOfficeView_3
   Call func_StarOfficeView_4
   Call func_StarOfficeView_5
   Call func_StarOfficeView_6
   Call func_StarOfficePrint_1
   Call func_LoadSaveGeneral_1
   Call func_LoadSaveGeneral_2
   Call func_LanguageSettings_Language

   ' Reset the autosave feature to 15 min, confirm and disable autosave
   call hResetAutosave()   

   Call hStatusOut
end sub

sub LoadIncludeFiles
   use "global\system\inc\master.inc"
   use "global\system\inc\gvariabl.inc"
   Call GetUseFiles
   gApplication = "Writer"
end sub


