'encoding UTF-8  Do not remove or change this line!
'*******************************************************************************
'*
'*  $RCSfile: f_sec_incorrect_password.bas,v $
'*
'*  $Revision: 1.4 $
'*
'*  last change: $Author: jsk $ $Date: 2005/05/12 12:06:00 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/******************************************************************************
'*
'*  owner : joerg.skottke@sun.com
'*
'*  short description : Verify that documents really get password protected
'*
'\******************************************************************************

sub main

    use "framework\security\inc\f_sec_incorrect_password.inc"
    use "framework\tools\inc\security_tools.inc"
    use "framework\tools\inc\filetools.inc"
    use "framework\tools\inc\docfuncs.inc"
    
    dim iApplication as integer

    call hStatusIn( "framework" , "f_sec_incorrect_password.bas" , "Verify that documents really get password protected" )

    hSetPasswordRecommendation( false )

    printlog( "Ensure the correct id-string is in the first document" ) 
    call exitRestartTheOffice()


    printlog( "" )
    printlog( "" )
    printlog( "**** OpenOffice.org 1.x format (XML) ****" )

    for iApplication =  1 to 6

        printlog( "" )
        printlog( hNumericDocType( iApplication ) )
        call tIncorrectPassword( "645" )

    next iApplication

    printlog( "" )
    printlog( "" )
    printlog( "**** OpenOffice.org 2.x format (OASIS) ****" )
    
    call exitRestartTheOffice()

    for iApplication =  1 to 6

        printlog( "" )
        printlog( hNumericDocType( iApplication ) )
        call tIncorrectPassword( "current" )

    next iApplication

    

    call hStatusOut()

end sub

'-------------------------------------------------------------------------

sub LoadIncludeFiles

    use "global\system\inc\master.inc"
    use "global\system\inc\gvariabl.inc"
    gApplication = "WRITER"
    call GetUseFiles()

end sub

'-------------------------------------------------------------------------
