'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: global_3.inc,v $
'*
'*  $Revision: 1.10 $
'*
'*  last change: $Author: jsk $ $Date: 2005/07/29 11:42:06 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): ______________________________________'*
'*
'/***********************************************************************
'*
'* owner : joerg.skottke@sun.com
'*
'* short description : global update/resource test
'*
'************************************************************************
'*
' #1 tTemplate_DialogTest  ' update-test for templates+documents-dialog
' #1 tHelp_DialogTest      ' update-test for help ( can't close )
' #1 tHelp_ToolBar         ' work with help tool-bar
'*
'\***********************************************************************


testcase tTemplate_DialogTest

    Dim i as Integer
    Dim concount as integer
    '///dialog-test for 'documents and templates'-dialog
    '///open a writer-doc
    '///file / new / documents and templates
    gApplication = "Writer"
    hNewDocument
    FileNewFromTemplate
    '///+organize
    printlog "file / new / templates and documents"

    kontext "templateanddocuments"
    printlog " - organize"
    Organize.Click
    sleep (1)
    '///+-   file ( close file-dialog )

    kontext "dvverwalten"
    printlog "    - file"
    WelcheDatei.Click
    sleep (1)
    printlog "      close File-Open-dialog"

    kontext "oeffnendlg"
    OeffnenDlg.Cancel
    sleep (1)
    '///+-   addressbook
    printlog "    - Adressbook"

    kontext "dvverwalten"
    AddressBook.Click
    sleep (1)
    '///+-      administrate ( close the tab-dialog )
    printlog "       - administrate"

    kontext "addressbooksource"
    Administrate.Click
    sleep (1)
    printlog "         close Database Properties-dialog"

    kontext "databaseproperties"
    DatabaseProperties.Cancel()
    sleep (1)
    '///+-    close the Adressbook-Source-dialog
    printlog "      close Adressbook-Source-dialog"

    kontext "addressbooksource"
    AddressBookSource.Cancel()
    sleep (2)
    '///+- press Instruction-button and select entry 1 -> printer settings"
    printlog "    - open instructions and select entry 1 or 4 -> Printer settings"

    kontext "dvverwalten"
    Befehle.Open
    sleep (2)
    concount = hMenuItemGetCount

    if concount = 2 then
        hMenuSelectNr ( 1 )
    endif

    if concount = 5 then
        hMenuSelectNr ( 4 )
    endif

    sleep (1)
    printlog "       close the printer-dialog"

    kontext "druckereinrichten"
    DruckerEinrichten.Cancel
    sleep (1)
    printlog "    - open instructions and select entry  2 or 5 -> update"

    kontext "dvverwalten"
    Befehle.Open
    sleep (1)
    '///+- press Instruction-button and select entry 2 or 5 -> update"
    concount = hMenuItemGetCount

    if concount = 2 then
        hMenuSelectNr ( 2 )
    endif

    if concount = 5 then
        hMenuSelectNr ( 5 )
    endif

    sleep (5)
    '///+- close organized-dialog
    printlog "    close the organized-dialog"
    DVVerwalten.Close
    sleep (1)
    '///+activate all entries in categories ( 4 )
    printlog " - activate all entries in categories"

    kontext "templateanddocuments"
    Category.TypeKeys "<PageUp>"

    for i=1 to 3
        sleep (1)
        Category.TypeKeys "<Down>"
    next i

    sleep (1)
    '///+close template+documents-dialog
    TemplateAndDocuments.Cancel
    '///+close the writer-doc
    sleep (2)
    hCloseDocument

endcase

'*******************************************************************************

testcase tHelp_DialogTest

    '///dialog-test for StarOffice help
    '///open help ( help / contents )
    Dim i as Integer
    printlog "- open the help"
    HelpContents

    kontext "starofficehelp"

    for i=1 to 50

        If StarOfficeHelp.Exists <> TRUE then
            sleep (1)
        else
            printlog "It takes " + i + " seconds to show the help!"
            i=51
        end if

    next i

    if StarOfficeHelp.Exists <> TRUE then
        warnlog "After 50 seconds the help isn't shown. The test stops!"
        exit sub
    else
        '///+activate 'Content'-page
        printlog "- activate 'Content'-page"
        TabControl.SetPage ContentPage
        sleep (2)
        '///+activate 'Index'-page
        printlog "- activate 'Index'-page"
        TabControl.SetPage IndexPage
        sleep (2)
        '///+activate 'Find'-page
        printlog "- activate 'Find'-page"
        TabControl.SetPage FindPage
        sleep (2)
        '///+activate 'Bookmark'-page
        printlog "- activate 'Bookmarks'-page"
        TabControl.SetPage BookmarksPage
        sleep (2)
        '///+close help ( does not work correctly with testtool )
        call hCloseHelp
    end if

endcase

'*******************************************************************************
' *********************************************
' *

testcase tHelp_ToolBar

    '///test the toolbar of StarOffice help
    '///open help ( help / contents )
    Dim i as Integer
    hOpenHelp

    kontext "starofficehelp"
    '///Index-button
    printlog "- Index -> on"
    'checkactive( false , "StarOfficeHelp" , "#i28625" )
    '///+activate 'Index' ( => only the help-window must be shown )
    Index.Click()
    sleep (2)
    printlog "- Index -> off"
    '( false , "StarOfficeHelp" , "#i28625" )
    '///+activate 'Index' ( => the full help-window must be shown )
    Index.Click()
    '///Backward- and Forward-button
    '///+open the 'Index'-page
    printlog "- activate 'Index'-page"
    TabControl.SetPage( IndexPage )
    sleep (2)
    SearchIndex.Select 4
    DisplayIndex.Click()
    sleep (2)
    'checkactive( false , "StarOfficeHelp" , "#i28625" )
    '///+backward
    printlog "- backward"
    Backward.Click()
    sleep (2)
    'checkactive( false , "StarOfficeHelp" , "#i28625" )
    '///+forward
    printlog "- forward"
    Forward.Click()
    sleep (2)
    'checkactive( false , "StarOfficeHelp" , "#i28625" )
    '///first page
    printlog "- first page"
    GoToStart.Click()
    'checkactive( false , "StarOfficeHelp" , "#i28625" )
    '///print
    printlog "- print"
    '///+the print-dialog must be shown ( if direct-printing is activated => BUG )
    '///+close the print-dialog
    PrintButton.Click()

    kontext "active"

    if Active.Exists ( 1 ) then

        if Active.getRT() = 304 then
            qaerrorlog "- Printing failed: Did you define a default printer?"
            Active.OK()
            
            Kontext "DruckenDlg"
            if ( druckenDlg.exists() ) then
                printlog( "Printer dialog is still open, closing with cancel" )
                druckenDlg. cancel()
            endif
            
        endif

    else
        kontext "druckendlg"
        if DruckenDlg.NotExists (2) then
            warnlog "No print-dialog is open. => direct printing? - bug 93788!"
        else
            DruckenDlg.Cancel()
        endif

    endif
    
    'checkactive( false , "StarOfficeHelp" , "#i28625" )
    '///Set Bookmark
    '///+ close the 'add bookmark'-dialog
    printlog "- Set Bookmark"

    kontext "tb_help"
    SetBookmarks.Click()
    'checkactive( false , "StarOfficeHelp" , "#i28625" )

    kontext "addbookmark"
    call DialogTest ( AddBookmark )
    AddBookmark.Cancel()
    '///+close help ( does not work correctly with testtool )
    call hCloseHelp

endcase

'*******************************************************************************

sub hOpenHelp

    Dim i
    HelpContents

    kontext "starofficehelp"

    for i=1 to 50

        If StarOfficeHelp.Exists <> TRUE then
            sleep (1)
        else
            printlog "It takes " + i + " seconds to show the help!"
            i=51
        end if

    next i

end sub

'*******************************************************************************

sub hCloseHelp

    kontext "starofficehelp"
    if NOT StarOfficeHelp.Exists (5) then
        warnlog "Help is not up!"
    else
        StarOfficeHelp.TypeKeys "<MOD1 F4>"    ' <CTRL>+<F4>
        sleep (7)

        if StarOfficeHelp.Exists (5) then
            printlog "Help still up! It can't be closed with the testtool. No bug - just a hint."
        end if

    end if

end sub

'*******************************************************************************
