'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: d_updt.bas,v $
'*
'*  $Revision: 1.13 $
'*
'*  last change: $Author: tbo $ $Date: 2005/01/24 18:19:44 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*****************************************************************
'*
'* Owner : fredrik.haegg@sun.com
'*
'* short description : Draw Update Test
'*
'\*****************************************************************

public glLocale (15*20) as string

sub main
   Printlog "--------------------- Draw Update Test ------------------- "

   use "graphics\tools\id_tools.inc"

   use "graphics\update\inc\global\id_001.inc"                        'File
   use "graphics\update\inc\global\id_002.inc"                        'Edit
   use "graphics\update\inc\global\id_003.inc"                        'View
   use "graphics\update\inc\global\id_004.inc"                        'Insert
   use "graphics\update\inc\global\id_005.inc"                        'Format
   use "graphics\update\inc\global\id_006.inc"                        'Tools
   use "graphics\update\inc\global\id_007.inc"                        'Modify
   use "graphics\update\inc\global\id_008.inc"                        'Window
   use "graphics\update\inc\global\id_009.inc"                        'Help

   use "graphics\update\inc\global\id_011.inc"                        'Toolbars

   use "graphics\update\inc\draw\d_002_.inc"
   use "graphics\update\inc\draw\d_003_.inc"
   use "graphics\update\inc\draw\d_005_.inc"
   use "graphics\update\inc\draw\d_007.inc"

   use  "global\update\inc\g_option.inc"
   use  "global\update\inc\g_customize.inc"

   Call hStatusIn ( "Graphics","d_updt.bas")

   Call D_002_
   call id_002
   Call D_003_
   call id_003
   call id_004
   Call D_005_
   call id_005
   call id_006
   call d_007
   call id_007
   call id_008
   call id_009
   call id_011
   call id_001

   Call hStatusOut

end sub
'----------------------------------------------

sub LoadIncludeFiles
   use "global\system\inc\master.inc"
   use "global\system\inc\gvariabl.inc"
   Call GetUseFiles
   gApplication   = "Draw"
end sub

