'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: d_002_.inc,v $
'*
'*  $Revision: 1.6 $
'*
'*  last change: $Author: fredrikh $ $Date: 2005/06/08 12:14:56 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*****************************************************************
'*
'* Owner : fredrik.haegg@sun.com
'*
'* short description :
'*
'\*****************************************************************

sub D_002_
   printLog Chr(13) + "---------  D_002_     ---------- "

  Call tdEditCrossFading
  Call tdEditLayer
end sub

'-----------------------------------------------------------
testcase tdEditCrossFading
'/// open application ///'
   Call hNewDocument
'/// create 2 rectangles ///'
   gMouseClick 50,50
   Call hRechteckErstellen ( 10, 10, 20, 40 )
   Call hRechteckErstellen ( 30, 30, 50, 60 )
'/// Edit-YSelect All ///'
   EditSelectAll
   try
   '/// Edit->Cross-fading ///'
      EditCrossFading
   catch
    warnlog "EditCrossFading not accessible :-("
   endcatch

   Kontext "Ueberblenden"
   Call DialogTest ( Ueberblenden )
'/// Change : 'Increments'; 1 more, 1 less ///'
      Schritte.More
      Schritte.Less
'/// Change: Cross-fading attributes; uncheck, check ///'
      Attributierung.uncheck
      Attributierung.check
'/// Change: same orientation; uncheck, check ///'
      GleicheOrientierung.Uncheck
      GleicheOrientierung.Check
'/// cancel dialog 'Cross-fading'; uncheck, check ///'
   Ueberblenden.Cancel

'/// close application ///'
   Call hCloseDocument
endcase

testcase tdEditLayer
'/// open application ///'
   Call hNewDocument
'/// View->Layer ///'
   ViewLayer
'/// Edit->Layer->Insert ///'
   InsertLayer
   Kontext "EbeneEinfuegenDlg"
   Call DialogTest ( EbeneEinfuegenDlg )
'/// Change: Set another name for the layer ///'
      EbenenName.SetText "SomeThing"
   '/// Change: Visible; uncheck, check ///'
      Sichtbar.UnCheck
      Sichtbar.Check
   '/// Change: Printable; uncheck, check ///'
      Druckbar.UnCheck
      Druckbar.Check
   '/// Change: Locked; check, uncheck ///'
      Gesperrt.Check
      Gesperrt.UnCheck
   EbeneEinfuegenDlg.OK
'/// (Edit->Layer->Modify is tested in format-menu-test) ///'
   'FormatLayer
'/// Edit->Layer->Rename ///'
   EditLayerRename
   kontext "DocumentDrawImpress"
   LayerTabBar.TypeKeys "Apply!!<Return>" , true
'/// Edit->Layer->Delete ///'
   EditDeleteLayer

'/// Messagebox: really delete? YES ///'
   Kontext "Messagebox"
   Messagebox.Yes
   sleep (2)

'/// View->Layer ///'
   ViewLayer
'/// close application ///'
   Call hCloseDocument
endcase
