'*************************************************************************
'*
'*  $RCSfile: w_clipbrd.bas,v $
'*
'*  $Revision: 1.2 $
'*
'*  last change: $Author: hde $ $Date: 2004/11/11 09:01:35 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : helge.delfs@sun.com
'*
'* short description : CROSS-APPLICATIONS CLIPBOARD TEST (Text only)
'*
'\***********************************************************************

Global CharsetSet as integer
Global ExportSet as integer

sub main
  use "writer\tools\inc\w_tools.inc"
  use "writer\level1\inc\clipboard\clipbrd_func.inc"
  use "writer\level1\inc\clipboard\w_210_.inc"
  use "writer\level1\inc\clipboard\w_211_.inc"
  use "writer\level1\inc\clipboard\w_212_.inc"
  use "writer\level1\inc\clipboard\w_213_.inc"
  use "writer\level1\inc\clipboard\w_214_.inc"
  use "writer\level1\inc\clipboard\w_215_.inc"
  use "writer\level1\inc\clipboard\w_216_.inc"
  use "writer\level1\inc\clipboard\w_217_.inc"
  use "writer\level1\inc\clipboard\w_218_.inc"
  use "writer\level1\inc\clipboard\w_219_.inc"
  use "writer\level1\inc\clipboard\w_220_.inc"
  use "writer\level1\inc\clipboard\w_221_.inc"
  use "writer\level1\inc\clipboard\w_222_.inc"
  Dim Start : Start = Now()

    ExportSet = wChangeHTMLCompatibilityExport
    CharsetSet = wChangeHTMLCompatibility
    Call hStatusIn("writer","w_clipbrd.bas","CROSS-APPLICATIONS CLIPBOARD TEST (Text only)")
    Call w_210_
    Call w_211_
    Call w_212_
    Call w_213_
    Call w_214_
    Call w_215_
    Call w_216_
    Call w_217_
    Call w_218_
    Call w_219_
    Call w_220_
    Call w_221_
    Call w_222_
    Call hStatusOut
    Call wChangeHTMLCompatibility(CharsetSet)
	Call wChangeHTMLCompatibilityExport(ExportSet)

   printlog "Duration : " +  Wielange ( Start )
end sub

'---------------------------------------------------------
sub LoadIncludeFiles
   use "global\system\inc\master.inc"
   use "global\system\inc\gvariabl.inc"
   gApplication = "Writer"
   Call GetUseFiles
end sub
