'*************************************************************************
'*
'*  $RCSfile: ww_updt.bas,v $
'*
'*  $Revision: 1.8 $
'*
'*  last change: $Author: hde $ $Date: 2005/03/09 14:36:34 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/******************************************************************
'*
'* owner : helge.delfs@sun.com
'*
'* short description : Ressource-Test WriterWeb Document
'*
'\******************************************************************

sub main
    use "global\update\inc\g_option.inc"                ' global subroutines for Tools / Options
	use "global\update\inc\g_customize.inc" 				' Global customize routines
    use "writer\tools\inc\w_tools.inc"                      ' global subroutines for Writer-application
    use "writer\tools\inc\w_tool1.inc"                     ' global subroutines for Writer-application
    use "writer\tools\inc\w_tool2.inc"                  		' global subroutines for Writer-application    

    use "writer\update\inc\w_001_.inc"
    use "writer\update\inc\w_001a_.inc"
    use "writer\update\inc\w_002_.inc"
    use "writer\update\inc\w_003_.inc"
    use "writer\update\inc\w_004_.inc"
    use "writer\update\inc\w_005_.inc"
    use "writer\update\inc\w_005b_.inc"
    use "writer\update\inc\w_006_.inc"
    use "writer\update\inc\w_007_.inc"
    use "writer\update\inc\w_008_.inc"
	use "writer\update\inc\w_009_.inc"
    use "writer\update\inc\w_010_.inc"
    use "writer\update\inc\w_011_.inc"
    use "writer\update\inc\w_020_.inc"


    Dim start
    start = Now
    Printlog "******* Ressource-Test Writer/Web *******"

    Call hStatusIn ( "writer", "ww_updt.bas","Writer/Web-Updatetest" )
    Call w_001_              ' Menu File
    Call w_001a_             ' Menu File
    Call w_002_              ' Menu Edit
    Call w_003_              ' Menu View
    Call w_004_              ' Menu Insert
    Call w_005_              ' Menu Format
    Call w_005b_             ' Menu Format (2)
    Call w_006_              ' Menu Table
    Call w_007_              ' Menu Tools
    Call w_008_              ' Menu Window
    Call w_009_              ' Menu Help
    Call w_010_              ' Objectbar
    Call w_011_              ' Rest of Objectbar
    Call w_020_              ' Toolbar
    Call hStatusOut

    PrintLog Chr(13) + "End of Test : " + Wielange ( start ) + Chr(13)
end sub


' ********************************************
' ** - global start routines
' ********************************************
sub LoadIncludeFiles
    use "global\system\inc\master.inc"
    use "global\system\inc\gvariabl.inc"
    gApplication   = "HTMLDOKUMENT"
    GetUseFiles ()
end sub
