'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: c_datapilot_pagefields.bas,v $
'*
'*  $Revision: 1.1 $
'*
'*  last change: $Author: pj $ $Date: 2005/06/14 12:01:22 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : peter.junge@Sun.COM
'*
'* short description  :  Lookup for correct attributes of datapilot pagefields
'*
'\***********************************************************************

Global sFileFormat as String

sub main

    dim startedAt
        startedAt = now()
        
    dim sFilterName AS String
        sFilterName = hGetUIFiltername ( "calc8" )
    dim sExtNames(10) AS String
        sExtNames() = hGetFilternameExtension ( "calc8" )

        sFileFormat = sFilterName & " (." & sExtNames(0) & ")"
        
    if sFileFormat <> gCalcFilter then
        warnlog "Calc 8 filter name in UI doesn't match archived name! -> Check this out!"
    endif
    
    printlog "FileFormat: " & sFileFormat

    Printlog "--------------------------------------------------"
    Printlog "---      Datapilot pagefields attributes       ---"
    Printlog "--------------------------------------------------"

    use "xml/level1/inc/c_datapilot_pagefields.inc"
    Call hStatusIn("XML", "c_datapilot_pagefields.bas")

    call hEnablePrettyPrinting(1)     
    call subPageFields

    Printlog "-------------------------------------------------------"
    Printlog "---     This test has been finished here            ---"
    PrintLog "---     Date: " &  Date & "  Time: " & Time &     " ---"
    Printlog "---     Duration : " & wielange( startedAt ) & "     ---"
    Printlog "-------------------------------------------------------"

    Call hStatusOut

end sub

sub LoadIncludeFiles

    use "global/system/inc/master.inc"
    use "global/system/inc/gvariabl.inc"
    use "global/tools/inc/t_tools1.inc"
    call getusefiles
    gApplication   = "CALC"
    use "xml/tools/xmltool1.inc"

end sub
