'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: b_lvl1_QueryAutopilot.inc,v $
'*
'*  $Revision: 1.4 $
'*
'*  last change: $Author: msc $ $Date: 2005/04/01 07:06:59 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : marc.neumann@sun.com
'*
'* short description : Query Autopilot Test
'* preconditions : Adabas has to be installed on the test machine
'* testdocuments : no
'* testpurpose : Test for the query wizard 
'*
'************************************************************************
'*
' #1 tQueryAutopilotMain
' #1 tQueryAutopilotTest1
' #1 tQueryAutopilotTest2
'*
'\***********************************************************************
sub b_lvl1_QueryAutopilot

    if fCreateDbaseDatasource(gOfficePath + ConvertPath("user/work/tt_dbase-01.odb"),gOfficePath + ConvertPath("user/database/biblio")) then            
        call tQueryAutopilotMain
    else
        qaerrorlog "can't create dBase datasource. Stop Test"	
	endif
    

    if gtSYSName = "Solaris x86" then
        printlog "This test use adabas and adabas is not available under Solaris x86."        
	else            
        if fCreateAdabasDatasource(gOfficePath + ConvertPath("user/work/tt_adabas.odb"),"waikiki-3086:TTDB","testtool","testtool") then        
            call tQueryAutopilotTest1
            call tQueryAutopilotTest2
        else
            qaerrorlog "can't create Adabas datasource. Stop Test"	
        endif
    endif    
        
end sub
'-------------------------------------------------------------------------
testcase tQueryAutopilotMain
       
	if not fOpendatabase(gOfficePath + ConvertPath("user/work/tt_dbase-01.odb")) then
        warnlog "Database " +gOfficePath + ConvertPath("user/work/tt_dbase-01.odb") + " could not be open."
        goto endsub
    end if
    
    if not fStartQueryWizard() then
        warnlog "The Query Wizard could not be start."
        goto endsub
    end if	

    Kontext "QueryWizard"
        '/// select the first table (biblio)
        printlog "select the first table (biblio)"
        Tables.select "biblio"
        sleep(1)
        '/// add the third field
        printlog "add the third field"
        AvailableFields.select 3
        sleep(1)
        Add.click
        sleep(1)
        '/// click NEXT
        printlog "click NEXT"
        NextBtn.click
        sleep(1)    
        '/// click NEXT
        printlog "click NEXT"
        NextBtn.click
        sleep(1)            
        '/// click NEXT
        printlog "click NEXT"
        NextBtn.click
        sleep(1)    
        '/// click NEXT
        printlog "click NEXT"
        NextBtn.click
        sleep(1)    
        '/// click FINISH
        printlog "click FINISH"
        FinishBtn.click
        sleep(2)
    
    Kontext "DatabaseBeamer"
        DatabaseBeamer.UseMenu
        call hMenuSelectnr(1)
        call hMenuSelectnr(4)
        'FileClose
        
    call fCloseDatabase(true)
       
endcase
'----------------------------------------------------------
testcase tQueryAutopilotTest1

  	if not fOpendatabase(gOfficePath + ConvertPath("user/work/tt_adabas.odb"),"testtool") then
        warnlog "Database " + gOfficePath + ConvertPath("user/work/tt_adabas.odb") + " could not be open."
        goto endsub
    end if
    
    if not fStartQueryWizard() then
        warnlog "The Query Wizard could not be start."
        goto endsub
    end if	

    Kontext "QueryWizard"
        '/// select the table TESTTOOL.TT_QueryAutopilot
        printlog "select the table TESTTOOL.TT_QueryAutopilot"        
        Tables.select "TESTTOOL.TT_QueryAutopilot"
        sleep(1)
        '/// add the third field
        printlog "add the 1. and 4. field"
        AvailableFields.select 1
        sleep(1)
        Add.click
        sleep(1)
        AvailableFields.select 4
        sleep(1)
        Add.click
        sleep(1)
        '/// click NEXT
        printlog "click NEXT"
        NextBtn.click
        sleep(1)    
        '/// click NEXT
        printlog "click NEXT"
        NextBtn.click
        sleep(1)            
        '/// click NEXT
        printlog "click NEXT"
        NextBtn.click
        sleep(1)    
        '/// click NEXT
        printlog "click NEXT"
        NextBtn.click
        sleep(1)    
        '/// click FINISH
        printlog "click FINISH"
        FinishBtn.click
        sleep(2)
    
    Kontext "DatabaseBeamer"
        FileClose
        
    call fClosedatabase(true)
    
endcase
'----------------------------------------------------------
testcase tQueryAutopilotTest2

  	if not fOpendatabase(gOfficePath + ConvertPath("user/work/tt_adabas.odb"),"testtool") then
        warnlog "Database " + gOfficePath + ConvertPath("user/work/tt_adabas.odb") + " could not be open."
        goto endsub
    end if
    
    if not fStartQueryWizard() then
        warnlog "The Query Wizard could not be start."
        goto endsub
    end if
	
    Kontext "QueryWizard"
        '/// select the table TESTTOOL.TT_QueryAutopilot
        printlog "select the table TESTTOOL.TT_QueryAutopilot"        
        Tables.select "TESTTOOL.TT_QueryAutopilot"
        sleep(1)
        '/// add the third field
        printlog "add the 1. field"
        AvailableFields.select 1
        sleep(1)
        Add.click
        sleep(1)
        '/// click NEXT to Sorting page
        printlog "click NEXT to Sorting page"        
        NextBtn.click
        sleep(1)    
        '/// click NEXT to Search page
        printlog "click NEXT to Search page"        
        NextBtn.click
        sleep(1)            
        '/// click NEXT to summary query page
        printlog "click NEXT to summary query page"
        NextBtn.click
        sleep(1)
        SummaryQuery.Check
        sleep(3)
        ' this doesn't work        
        'AggregatFunction1.select 1
        'sleep(1)
        'AggregatField1.select 1
        'sleep(1)
        ' do this instead
        QueryWizard.TypeKeys "<SHIFT TAB>" , true
        sleep(1)
        QueryWizard.TypeKeys "<SHIFT TAB>" , true
        sleep(1)
        QueryWizard.TypeKeys "<DOWN>" , true
        sleep(1)
        QueryWizard.TypeKeys "<TAB>" , true
        sleep(1)
        QueryWizard.TypeKeys "<DOWN>" , true
        sleep(1)
        '----                
        '/// click NEXT to alias page
        printlog "click NEXT to group alias page"
        NextBtn.click
        sleep(1)
        '/// click NEXT to final page
        printlog "click NEXT to final page"
        NextBtn.click
        sleep(1)
        '/// click FINISH
        printlog "click FINISH"
        FinishBtn.click
        sleep(2)
    
    Kontext "DatabaseBeamer"
        FileClose
    
    call fClosedatabase(true)
    
endcase
