'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: clocale.inc,v $
'*
'*  $Revision: 1.2 $
'*
'*  last change: $Author: pj $ $Date: 2004/10/06 16:12:13 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : peter.junge@Sun.COM
'*
'* short description : Check proper functionality of number formats
'*
'************************************************************************
'*
' #1 cLocale       ' Initial routine
' #1 tLocated_save ' Check Tools->Options->LanguageSettings->Language
'*
'\***********************************************************************

'TODO: COMPLETE REDESIGN

Global DocPath as String, LocaleSetting as String
Global cDat as String, cNumber as String, cTime as String, cBoolean as String, sFormatCode as String
Global localeNr as integer

sub cLocale

        printLog Chr(13) + "--------- cLocatedContents ---------"
        printlog "Tools|Options|LanguageSettings|Language"

    DocPath = convertpath(gTesttoolPath & "calc/options/input/localedcontents.sxc")

    ' select case iSprache
        ' case 01:      LocaleSetting = "Default"
        ' case 49:      LocaleSetting = "Standard"
        ' case 81:      localeNr = 1
        ' case else     QAErrorLog "No language adjustment for language " & iSprache : exit sub
    ' end select

    call tLocated_save



end sub

'*********************************************************************************************************

testcase tLocated_save

'/// In this test it is checked if the localed cellcontents "Date", "Number", "Time", "Boolean"
'/// (TRUE/FALSE) are following the configurable locale in "Tools|Options|LanguageSettings|Language".
'/// The currency mustn't be affected by the locale settings.

    call hDateiOeffnen DocPath
    ' Check if the locale settings are set to default
    ' ToolsOptions
    ' call hToolsOptions( "LANGUAGESETTINGS", "LANGUAGES" )
    ' printlog "Gebietsschema: " & Gebietsschema.getSelText
    ' if Gebietsschema.getSelText <> LocaleSetting then
        ' if iSprache = 81 then
                ' Gebietsschema.select localeNr
        ' else
                ' Gebietsschema.select LocaleSetting
        ' end if
    ' end if
    ' Kontext "OptionenDlg"
        ' OptionenDlg.OK
         ' Before the next variables are set, the formatcode of the date must be set
        call cGotoCell("A1")
    FormatCells
    Kontext
    Active.setPage Zahlenformat
    Kontext "Zahlenformat"
    select case iSystemSprache
        case 01:        sFormatCode = "MM/DD/YYYY"
        case 49:        sFormatCode = "TT.MM.JJJJ"
    end select
    FormatCode.setText sFormatCode
    Zahlenformat.OK

    select case iSystemSprache
        case 01:        cDat =  "12/10/2001"
                                cNumber = "1,000"
                                cTime = "11:33:00 PM"
                                cBoolean = "TRUE"

        case 49:        cDat = "10.12.2001"
                                cNumber = "1.000"
                                cTime = "11:33:00 nachm."
                                cBoolean = "WAHR"
    end select

    CheckContent("A1", cDat)
    CheckContent("A2", cNumber)
    CheckContent("A3", cTime)
    CheckContent("A4", cBoolean)

    call hCloseDocument

endcase



