'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: c_clipboardtest.bas,v $
'*
'*  $Revision: 1.2 $
'*
'*  last change: $Author: pj $ $Date: 2005/05/26 16:53:02 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : peter.junge@Sun.COM
'*
'* short description : Clipboard Test
'*
'\***********************************************************************

Global FileFormat as string, Ext as string
Global File as String


sub main
dim guinan
guinan = now()
PrintLog "---------------------------------------------------------------------"
Printlog "-----                    Calc test clipboard                    -----"
PrintLog "---------------------------------------------------------------------"

   use "calc\special\inc\caco3\clipboardtest.inc"
   use "calc\special\inc\caco3\calculation.inc"
   Call hStatusIn("Calc", "c_clipboardtest.bas", "Complex test for the clipboard in calc")

   FileFormat = gCalcFilter   :  Ext = ".sxc"
   File = convertpath(gTesttoolPath & "calc/special/input/clipboardtest.sxc")

   call clipboardtest
   call calculation

   PrintLog "---------------------------------------------------------------------"
   Printlog "---- end calc clipboard test: " + Date + " at " + Time + " Duration: " + wielange(guinan)
   PrintLog "---------------------------------------------------------------------"

   Call hStatusOut

end sub

sub LoadIncludeFiles
   use "global\system\inc\master.inc"
   use "global\system\inc\gvariabl.inc"
   use "global\tools\inc\t_doc1.inc"
   use "global\tools\inc\t_tools1.inc"
   use "calc\tools\c_tool.inc"
   use "calc\tools\c_tool_1.inc"
   use "calc\special\inc\caco3\clipboardtest_tools.inc"
   use "calc\tools\c_select_tools.inc"
   use "calc\update\inc\update_tools.inc"
   gApplication   = "Calc"
   Call GetUseFiles

end sub
