'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: basedoc.inc,v $
'*
'*  $Revision: 1.9 $
'*
'*  last change: $Author: pj $ $Date: 2005/05/26 17:10:07 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/************************************************************************************************
'*
'* owner              :  peter.junge@sun.com
'*
'* short description  :  Base document for chart tests
'*
'**************************************************************************************************
'*
' #1 basedocument
'*
'\************************************************************************************************

sub basedocument
   dim sInputFile as string
   dim sOutputFile as string
   sInputFile = convertpath(gtesttoolpath & "chart/update/input/basetable.sxc")
   sOutputFile = convertpath(gOfficepath & "user/work/basetable.ods")
   printlog "** loading basedocument **"
   call hDateiOeffnen sInputFile
   sleep (2)
   try
       if NOT hSpeichernUnterMitFilterKill (sOutputFile , gCalcFilter) then
           warnlog "Saving test document localy failed -> Aborting"
           call hCloseDocument
           exit sub
       endif
   catch 
       qaErrorLog "Most probably there's no filter name for this language available. Trying to save without filter."
       'PJ: I would consider calling the following code a hack!
       Kontext "SpeichernDlg"
       Dateiname.SetText sOutputFile
       DateiTyp.Select 1
       Speichern.Click
       Kontext "Active"
       if active.exists(2) then
           active.YES
       endif
   endcatch
   sleep(2)
   try
      Kontext "DocumentCalc"
        InsertChartCalc
        Kontext "AutoFormatDiagrammBeginn"
          Fertigstellen.Click
        Kontext "DocumentCalc"
          call gMouseclick (90,90)
        'Kontext "DocumentChart"
          'DocumentChart.TypeKeys "<Escape>"
          'Working around #111068#
          call fCalcSelectSheet(2)
          sleep(1)
          call fCalcSelectSheet(1)
          call selectFirstOLE
      printlog "** basedoc loaded **"
   catch
      warnlog "Inserting Chart in base document failed"
      exit sub
   endcatch
end sub
