'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: slotscfg.bas,v $
'*
'*  $Revision: 1.2 $
'*
'*  last change: $Author: tbo $ $Date: 2004/08/24 11:59:28 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/**********************************************************************
'*
'* owner : thorsten.bosbach@sun.com
'*
'* short description : check the 2 Features for disabeling Functions/Commands
'*
'\******************************************************************

   global sOfficeParameters as string

sub main
   use "framework\level2\slotscfg\inc\slotscfg.inc"
   
   dim sUnoPort as string
   dim sResult as string

   '/// figure out the port at the office to connect uno to... ///'
   sResult = GetIniValue (gTesttoolIni, "Communication", "UnoPort")
   Printlog ("Result of ini file for Office/Testtool UNO Port: '" + sResult + "' --------------------------------")
   if (sResult <> "") then
      sUnoPort = sResult
   else
      Warnlog ("Please add an entry to your '" + gTesttoolIni + "' in section 'Communication': 'UnoPort=82352' and restart your testtool and StarOffice!")
      Warnlog ("Or check the Setting in TestTool: Extra->Settings->Misc: and change the value for 'Remote UNO Port'; then restart your TestTool and StarOffice!")
      exit sub
   endif
   sOfficeParameters = "-enableautomation -norestore -nolockcheck -autocrashreport -accept=socket,host=localhost,port=" + sUnoPort + ";urp"

   call hStatusIn ( "Framework","slotscfg.bas", "slots.cfg feature Test" )

   call tSlotsCfg
   call tCommandsXML
   call tWriteUserShareLayer
   
   call hStatusOut
end sub

sub LoadIncludeFiles
   use "global\system\inc\master.inc"
   use "global\system\inc\gvariabl.inc"
   call GetUseFiles
   gApplication   = "Desktop"
end sub

