'encoding UTF-8  Do not remove or change this line!
'*******************************************************************************
'*
'*  $RCSfile: f_updt_agendawizard.inc,v $
'*
'*  $Revision: 1.3 $
'*
'*  last change: $Author: jsk $ $Date: 2005/06/03 08:08:37 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/******************************************************************************
'*
'*  owner : joerg.skottke@sun.com
'*
'*  short description : Update test for agenda wizard
'*
'*******************************************************************************
'**
' #1 tUpdtAgendaWizard ' Update test for agenda wizard
'**
'\******************************************************************************

testcase tUpdtAgendaWizard

    '///<H1>Update test for agenda wizard</H1>
    '///<ul>
    dim cTemplateName as string
    dim cTemplatePath as string
    dim iErr as integer
    
    cTemplateName = "myAgendaTemplate.ott"
    cTemplatePath = gOfficePath & "user\template\" & cTemplateName
    cTemplatePath = convertpath( cTemplatePath )

    hDeleteFile( cTemplatePath )

    '///<li>open the Agenda-wizard using the menu, page design opens</li>
    iErr = hOpenWizardWithMenu( "AGENDA" )
    if ( iErr = 1 ) then
        warnlog( "#i46909# Wizard crashes/does not open" )
        goto endsub
    endif  
    
    '///<li>First page</li>
    printlog( " * Page 1 : Page Design" )
    Kontext "AutopilotAgenda"
    call dialogtest( AutopilotAgenda )
    PageDesignList.select( 3 )
    hNextPage( "2. General information" )
    
    '///<li>Second page</li>
    Kontext "AutopilotAgenda"
    call dialogtest( AutopilotAgenda )
    hNextPage( "3. Headings to include" )
    
    '///<li>Third page</li>
    Kontext "AutopilotAgenda"
    call dialogtest( AutopilotAgenda )
    hNextPage( "4. Names" )

    '///<li>Fourth page</li>
    Kontext "AutopilotAgenda"
    call dialogtest( AutopilotAgenda )
    hNextPage( "5. Agenda items" )

    '///<li>Fifth page</li>
    Kontext "AutopilotAgenda"
    call dialogtest( AutopilotAgenda )
    hNextPage( "6. Name and location" )

    '///<li>sixth page</li>
    Kontext "AutopilotAgenda"
    call dialogtest( AutopilotAgenda )
    
    '///<li>name the template for further usage</li>
    printlog( "   * name the template for further usage" )
    TemplateName.setText( cTemplateName )
    hSetTemplateSavePath( cTemplatePath )    
        
    hFinishWizard( 1 )
    
    iErr = hHandleSaveError()
    if ( iErr = 1 ) then
        kontext "AutopilotAgenda"
        hFinishWizard( 1 )
    endif    
    
    call hCloseDocument()
    
    hDeleteFile( cTemplatePath )
    '///</ul>

endcase

