'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: export_graphic.inc,v $
'*
'*  $Revision: 1.14 $
'*
'*  last change: $Author: tbo $ $Date: 2005/06/30 13:24:41 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*****************************************************************
'*
'* Owner : fredrik.haegg@sun.com
'*
'* short description : Graphics Export Test
'*
'******************************************************************
'*
' #1 tFileExport
'*
'\*****************************************************************

testcase tFileExport
   '/// just exporting is done in qatesttool/framework/first test: 'tGraphicExport' but there is no loading, ///'
   '///+ of the created files and the items on the dialogs are not checked completely ///'
   Dim Last1 , Last2 as String
   Dim i, j, k, Zaehler, ExZaehler, SeiteZaehler as Integer
   Dim ExPath as String
   Dim Liste( 50 ) as String

'///- all files are saved in [StarOfficePath]/user/work/[applicatoion]/export ///'
   ExPath = ConvertPath (gOfficePath + "user\work\" + lCase(gApplication) + "\export\" )
   OutputGrafikTBO = ExPath & "expo"
   Printlog "Create the export-dir for the graphics ( " + ExPath + " )"
   try
      app.mkDir ( ExPath )
      ExZaehler = GetFileList ( ExPath , "*.*" , Liste() )
      if ExZaehler <> 0 then
         Printlog "The export-dir exists. The test want to delete all Files ( " + ExZaehler + " )!"
         if KillFileList ( Liste() ) = FALSE then
            Warnlog "Not all files can be deleted. " + ListCount ( Liste() ) + " files exists!"
         end if
      end if
   catch
      Warnlog "An error at creating the export-dir, the test ends!"
      goto endsub
   endcatch

'///+ open the test document qatesttool/graphics/level1/input/graphicexport.sx[d,i] ///'
   Document = ConvertPath ( gTesttoolPath + "graphics\level1\input\graphicexport.sx"+left(lcase(gApplication),1) )

   '///check all export-filternames -> the 19 names are:
   for i = 1 to 19
      printlog "(" + i + "/19) ------------------------------------------------------------------------------------------------------------------------------------------"
      hDateiOeffnen (Document)
      sleep 5
      select case i
         case 1 : sBMP   '///+-   Windows Bitmap                     ///'
         case 2 : sEMF   '///+-   Enhanced Metafile                  ///' '1
         case 3 : sEPS   '///+-   Encapsulated PostScript            ///'
         case 4 : sGIF   '///+-   Graphics Interchange Format        ///'
         case 5 : sJPEG  '///+-   Joint Photographic Experts Group   ///'
         case 6 : sMET   '///+-   OS/2 Metafile                      ///' '1!
         case 7 : sPBM   '///+-   Portable Bitmap                    ///'       '2
         case 8 : sPCT   '///+-   Mac Pict                           ///' '1!
         case 9 : sPGM   '///+-   Portable Graymap                   ///'       '2
         case 10: sPNG   '///+-   Portable Network Graphic           ///'
         case 11: sPPM   '///+-   Portable Pixelmap                  ///'       '2
         case 12: sRAS   '///+-   Sun Raster Image                   ///'    '3
         case 13: sSVM   '///+-   StarView Metafile                  ///' '1
         case 14: sTIFF  '///+-   Tagged Image File Format           ///'    '3
         case 15: sWMF   '///+-   Windows Metafile                   ///' '1
         case 16: sXPM   '///+-   X PixMap                           ///'    '3
         case 17: sPDF   '///+-   Portable Document Format           ///'
         case 18: sSWF   '///+-   Macromedia Flash (SWF) (.swf)      ///'    '3
         case 19: sSVG   '///+-   Scalable Vector Graphics           ///'    '3
      end select
      '///+ the 20.th one: 'html export' is checked seperately ///'

      hCloseDocument()
      sleep 5
   next i
endcase

function hCallExport ( HyWhatsYourName as String , sFilter as String, optional bSelection as boolean ) as Boolean
   hCallExport = TRUE
   Printlog "Will try to select export filter: '" + sFilter + "'" + ""
   try
      FileExport
   catch
      Sleep 10
      Warnlog "It takes to much time to export the graphic (>10 sec.). Please check the problem, maybe it's a bug!"
      FileExport
   endcatch

   Kontext "ExportierenDlg"
   try
      Dateityp.Select sFilter
   catch
      Warnlog "'" + sFilter + "' is missing!"
      hCallExport = FALSE
      ExportierenDlg.Cancel
      exit function
   endcatch
   if ((IsMissing(bSelection) = FALSE) AND (bSelection = TRUE)) then
      Selektion.Check
   else
      if (Selektion.isEnabled) then
         Selektion.UnCheck
      endif
   endif
   AutomatischeDateinamenserweiterung.Check
   Dateiname.SetText ( HyWhatsYourName )
   sleep 2
   Speichern.Click
   sleep 2
   kontext "AlienWarning"
      if AlienWarning.exists(5) then
         warnlog "#i41983# Alien Warning on export not allowed"
         AlienWarning.OK
      endif
   Kontext "Active"
   if Active.Exists then Active.Yes
   Sleep 3
end function

function fGetSizeXY (sX as string, sY as string, bGet as boolean) as Boolean
   dim sTx as string
   dim sTy as string
   dim bReturn as boolean

   bReturn = True
   try
      ContextPositionAndSize
   catch
      warnlog "couldn't call 'ContextPositionAndSize' no object selected ?"
   endcatch
   kontext
   active.SetPage TabPositionAndSize
   kontext "TabPositionAndSize"
   if TabPositionAndSize.exists (5) then
      sTx = Width.GetText
      sTy = Height.GetText
      TabPositionAndSize.OK
   else
      warnlog "Couldn't switch tab page :-( "
   endif
   if bGet then  ' Get the Values only
      sY = sTy
      sX = sTx
   else          ' Get the Values and COMPARE them
      if (LiberalMeasurement (sX,sTx) <> TRUE) then
         warnlog "width is different :-( should: '"+sX+"' is: '"+sTx+"'" + "eventually a result of i35519"
         bReturn = False
      endif
      if (LiberalMeasurement (sY,sTy) <> TRUE) then
         warnlog "hight is different :-( should: '"+sY+"' is: '"+sTy+"'" + "eventually a result of i35519"
         bReturn = False
      endif
      bGet = bReturn
   endif
end function

sub sPBM
   dim x,i as integer
   dim sFilter as string
   dim sExt as string

   sFilter = "PBM - Portable Bitmap (.pbm)"
   sExt = ".pbm"

   '/// save it ///'
   if hCallExport (OutputGrafikTBO , sFilter ) = TRUE then
      Kontext "PBMOptionen"
      if PBMOptionen.Exists (2) then
            Ascii.Check
         PBMOptionen.OK
         sleep 5
      endif
      if ( dir(OutputGrafikTBO+sExt) <> "") then
         Printlog "Ok :-) Saved as: '" + OutputGrafikTBO+sExt + "'"
      else
         warnlog "File didn't get saved :-("
      endif
      hCloseDocument ()
      sleep 5
      hNewDocument()
      sleep 5
      Call hGrafikEinfuegen ( OutputGrafikTBO+sExt )
   endif
end sub

sub sPGM
   dim x,i as integer
   dim sFilter as string
   dim sExt as string

   sFilter = "PGM - Portable Graymap (.pgm)"
   sExt = ".pgm"

   '/// save it ///'
   if hCallExport (OutputGrafikTBO , sFilter ) = TRUE then
      Kontext "PGMOptionen"
      if PGMOptionen.Exists (2) then
            Ascii.Check
         PGMOptionen.OK
         sleep 5
      endif
      if ( dir(OutputGrafikTBO+sExt) <> "") then
         Printlog "Ok :-) Saved as: '" + OutputGrafikTBO+sExt + "'"
      else
         warnlog "File didn't get saved :-("
      endif
      hCloseDocument ()
      sleep 5
      hNewDocument()
      sleep 5
      Call hGrafikEinfuegen ( OutputGrafikTBO+sExt )
   endif
end sub

sub sPPM
   dim x,i as integer
   dim sFilter as string
   dim sExt as string

   sFilter = "PPM - Portable Pixelmap (.ppm)"
   sExt = ".ppm"

   '/// save it ///'
   if hCallExport (OutputGrafikTBO , sFilter ) = TRUE then
      Kontext "PPMOptionen"
      if PPMOptionen.Exists (2) then
            Ascii.Check
         PPMOptionen.OK
         sleep 5
      endif
      if ( dir(OutputGrafikTBO+sExt) <> "") then
         Printlog "Ok :-) Saved as: '" + OutputGrafikTBO+sExt + "'"
      else
         warnlog "File didn't get saved :-("
      endif
      hCloseDocument ()
      sleep 5
      hNewDocument()
      sleep 5
      Call hGrafikEinfuegen ( OutputGrafikTBO+sExt )
   endif
end sub

sub sPNG
   dim x,i as integer
   dim sFilter as string
   dim sExt as string

   sFilter = "PNG - Portable Network Graphic (.png)"
   sExt = ".png"
   '/// save it ///'
   if hCallExport (OutputGrafikTBO , sFilter ) = TRUE then
      Kontext "PNGOptionen"
      if PNGOptionen.Exists (2) then
            Kompression.ToMax
            Interlaced.UnCheck
         PNGOptionen.OK
         sleep 30
      endif
      if ( dir(OutputGrafikTBO+sExt) <> "") then
         Printlog "Ok :-) Saved as: '" + OutputGrafikTBO+sExt + "'"
      else
         warnlog "File didn't get saved :-("
      endif
      hCloseDocument ()
      sleep 5
      hNewDocument()
      sleep 5
      Call hGrafikEinfuegen ( OutputGrafikTBO+sExt )
   endif
end sub

sub sRAS
   sRAS_SVG ("RAS - Sun Raster Image (.ras)", ".ras")
end sub

sub sTIFF
   sRAS_SVG ("TIFF - Tagged Image File Format (.tif;.tiff)", ".tif")
end sub

sub sXPM
   sRAS_SVG ("XPM - X PixMap (.xpm)", ".xpm")
end sub

sub sRAS_SVG (sFilter as string, sExt as string)
   dim x,i as integer

   '/// save it ///'
   if hCallExport (OutputGrafikTBO , sFilter ) = TRUE then
      if ( dir(OutputGrafikTBO+sExt) <> "") then
         Printlog "Ok :-) Saved as: '" + OutputGrafikTBO+sExt + "'"
         hCloseDocument ()
         sleep 5
         hNewDocument()
         sleep 5
         Call hGrafikEinfuegen ( OutputGrafikTBO+sExt )
      else
         warnlog "File didn't get saved :-("
      endif
   endif
end sub

sub sSWF
   dim sFilter as string
   dim sExt as string
   dim x,i as integer

   sFilter = "Macromedia Flash (SWF) (.swf)"
   sExt = ".swf"
   '/// save it ///'
   if hCallExport (OutputGrafikTBO , sFilter ) = TRUE then
      if ( dir(OutputGrafikTBO+sExt) <> "") then
         Printlog "Ok :-) Saved as: '" + OutputGrafikTBO+sExt + "'"
         sleep 5
      else
         warnlog "File didn't get saved :-("
      endif
   endif
end sub


sub sSVG
   dim x,i as integer
   dim sFilter as string
   dim sExt as string
   dim bTemp as boolean
   dim sTemp as string
   dim sTextFilter as string
   dim sExtension() as string
   dim sTextFiltername as string

   sFilter = "SVG - Scalable Vector Graphics (.svg)"
   sExt = ".svg"

   '/// save it ///'
   if hCallExport (OutputGrafikTBO , sFilter ) = TRUE then
      if ( dir(OutputGrafikTBO+sExt) <> "") then
         Printlog "Ok :-) Saved as: '" + OutputGrafikTBO+sExt + "'"
         if (iSprache <> 82) then
             hCloseDocument ()
             sleep 5
             '/// load file in writer as text ///'
             sTextFilter = hGetUIFiltername("Text")
             sExtension() = hGetFilternameExtension("writer_Text")
             sTextFiltername = sTextFilter & " (*." & sExtension(0) & ")"
             hDateiOeffnenMitFilter (OutputGrafikTBO+sExt, sTextFiltername, FALSE, TRUE)
             sTemp = gApplication
             gApplication = "writer"
             sleep 5 ' wait for document to be loaded
             bTemp = hFindeImDokument ("<!DOCTYPE svg PUBLIC "+chr(34)+ "-//W3C//DTD SVG 1.1//EN"+chr(34)+" "+chr(34)+"http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd"+chr(34)+">")
             if (bTemp = TRUE) then
                Printlog "OK"
             else
                warnlog "DOCTYPE not found in svg file :-("
             endif
             gApplication = sTemp
         else
             qaerrorlog "disabled for 82: #111017#"
         endif
      else
         warnlog "File didn't get saved :-("
      endif
   endif
end sub

sub sPDF
    dim sPath as string
    dim bTemp as boolean
    dim sTemp as string
    dim sTemp2 as string
    dim sApp as string
    dim sFilter as string
    dim sExtension() as string
    dim sTextFiltername as string
    dim iFileSize(12) as long
    dim i as integer
    dim a, b as integer
    dim iCreatorOffset as integer
    dim sTextFilter as string

'/// Export the file 12 times: ///'
'///+ every compression level (3) and every range (3), check if button in toolbar uses last settings (6) (-> 12) ///'
'               (iTypeOfCall, bExecute, sFileName, bAutoExtension, bOverwriteFile, iRange, iConpression, optional sRange) as boolean

'    hCloseDocument()
'    hDateiOeffnen (ConvertPath ( gTesttoolPath + "graphics\level1\input\graphicexportpdf.sx"+left(lcase(gApplication),1)))
'    sleep (30)
    InsertSlide
    hTypeKeys("<Home><TAB>")
    for i=1 to 6
        Printlog ("export number: " + i + " and " + (i+6))
        sPath = OutputGrafikTBO
        a = (((i-1) MOD 3) + 1 - ((FIX(i/4)) * ((i-1) MOD 3))) '1,2,3,1,1,1
        b = (1 + FIX(i/5) + FIX(i/6))                          '1,1,1,1,2,3
        '/// File->Export as PDF document ///'
        sPath = sPath + i
        hExportAsPDFmulti (3, TRUE, sPath, TRUE, FALSE, a, b, "2")
        sleep(5)

        '/// Export using Button in toolbar ///'
        sPath = OutputGrafikTBO
        sPath = sPath + (i+6)
        hExportAsPDFmulti (1, TRUE, sPath, TRUE, FALSE, 1, 1) ' buton in toolbar -> last settings have to be used
        sleep(5)
    next i
    for i=1 to 12
        sPath = OutputGrafikTBO
        sPath = sPath + i + ".pdf"
        iFileSize(i) = app.FileLen(sPath)
        Printlog (" - " + i + ": " + " " + iFileSize(i) + " " + sPath
        if (dir(sPath) <> "") then
            sleep 5
            '/// the first line has to be '%PDF-1.4' ///'
            sTemp = fGetFileText(sPath, 8)
            if (sTemp <> "%PDF-1.4") then
                Warnlog "File doesn't start with '%PDF-1.4' it is: '" + sTemp + "'"
            endif
            '/// the last line has to be '%%EOF' ///'
            sTemp = left(fGetFileText(sPath, -7),5)
            if (sTemp <> "%%EOF") then
                Warnlog "File doesn't end with '%%EOF' it is: '" + sTemp + "'"
            endif
        else
            Warnlog "File was not exported to PDF :-( '" + sPAth + "'"
        endif
    next i
    for i=13 to 12
        ' Check if the File Size is different between same options -> would be not using the options
        ' from the last export for direct pdf creation via toolbar
        if (i < 7) then
            Printlog ("check export filesize: " + i )
            if (i > 4) then
                ' 4,5,6
                if (iFileSize(i) <> iFileSize(i+6)) then
                    Warnlog ("Diffrence in filesize for file: " + i + " and " + (i+6))
                endif
                ' Check if the File Size gets greater for greater solutions
                if (i <> 4) then
                    ' 5,6
                    if (iFileSize(i-1) > iFileSize(i)) then
                        Warnlog ("Filesize is not greater for file: " + (i-1) + " < " + i)
                    endif
                endif
            else
                ' 1,2,3
                if (iFileSize(i+6) <> iFileSize(1)) then
                    Warnlog ("Diffrence in filesize for file: 1 and " + i )
                endif
            endif
        endif
    next i
    if (iFileSize(1) <= iFileSize(2)) then
        Warnlog ("Filesize is not greater for file: 1 > 2")
    endif
    if (iFileSize(2) >= iFileSize(3)) then
        Warnlog ("Filesize is not greater for file: 2 < 3")
    endif
    if (iFileSize(1) <= iFileSize(3)) then
        Printlog ("Filesize is not greater for file: 1 > 3")
    endif

    ' test background images export on 50 pages
    hCloseDocument()
    sTemp = ConvertPath ( gTesttoolPath + "graphics\level1\input\export_graphic2.sxi")
    hDateiOeffnen (sTemp)
    sleep (30)
    sPath = OutputGrafikTBO
    sPath = sPath + "X.pdf"
    hExportAsPDFmulti (1, TRUE, sPath, TRUE, FALSE, 1, 3)
    iFileSize(1) = app.FileLen(ConvertPath(sTemp))
    iFileSize(2) = app.FileLen(sPath)
    printlog "1: " + iFileSize(1) + " '" + ConvertPath(sTemp) + "'"
    printlog "2: " + iFileSize(2) + " '" + sPath + "'"
    if (iFileSize(1) <= (iFileSize(2) * 2)) then
        qaErrorlog ("Filesize is too large for exporting backgroundimages on 50 sheets!")
    endif
    ' test non visible/printable layer export
        if false then
      '  if (iSprache <> 82) then
            hCloseDocument()
            sTemp = ConvertPath ( gTesttoolPath + "graphics\level1\input\export_graphic3.sx"+left(lcase(gApplication),1))
            hDateiOeffnen (sTemp)
            sleep (30)
            sPath = OutputGrafikTBO
            sTemp = sPath
            sPath = sPath + "L.pdf"
            hExportAsPDFmulti (1, TRUE, sPath, TRUE, FALSE, 1, 1)
            name sPath as sTemp+"L.txt"
            sleep (30)
            iFileSize(3) = app.FileLen(sTemp+"L.txt")
            iCreatorOffset = 0
                     sleep 5
                     '/// load file in writer as text ///'
                     sTextFilter = hGetUIFiltername("Text")
                     sExtension() = hGetFilternameExtension("writer_Text")
                     sTextFiltername = sTextFilter & " (*." & sExtension(0) & ")"
            '             hDateiOeffnenMitFilter (sTemp+"L.txt", sTextFiltername, FALSE) ' doesn't work
                     hDateiOeffnenMitAnderemFilter (sTemp+"L.txt", sTextFiltername, false, sTextFilter)
                     sApp = gApplication
                     gApplication = "writer"
                     sleep 5 ' wait for document to be loaded
                     ' /Creator
                     bTemp = hFindeImDokument ("<< /Creator <")
                     if (bTemp = TRUE) then
                        Printlog "OK"
                     else
                        warnlog " /Creator not found in pdf file :-("
                     endif
                     hTypeKeys("<left><right><shift end>")
                     editcopy
                     sTemp = getClipboardText()
                     sTemp = left(sTemp, inStr(sTemp, ">")-1)
                         sTemp2 = ""
                         for i = 0 to (len(sTemp)/4)-1
                                sTemp2 = sTemp2 + chr("&H"+mid(sTemp,(i*4)+1, 4))
                         next i
                         printlog sTemp + " -- " + len(sTemp) + " ::: '" + sTemp2 + "'"
                         if (lCase(sapp) <> lCase(right(sTemp2, len(stemp2)-1))) then
                            warnlog "Application is different from Creator; is: '" + lCase(sTemp2) + "' should: '" + lCase(sapp) + "'"
                         endif
                         iCreatorOffset = iCreatorOffset + len(sTemp)
                     ' /Producer
                     bTemp = hFindeImDokument ("/Producer <")
                     if (bTemp = TRUE) then
                        Printlog "OK"
                     else
                        warnlog " /Producer not found in pdf file :-("
                     endif
                     hTypeKeys("<left><right><shift end><shift down>")
                     editcopy
                     sTemp = getClipboardText()
                     sTemp = left(sTemp, inStr(sTemp, ">")-1)
                         sTemp2 = ""
                         for i = 0 to (len(sTemp)/4)-1
                                sTemp2 = sTemp2 + chr("&H"+mid(sTemp,(i*4)+1, 4))
                         next i
                         printlog sTemp + " -- " + len(sTemp) + " ::: '" + sTemp2 + "'"
                         if gOOO then
                             iCreatorOffset = iCreatorOffset + len(sTemp)
                         else
                            if bAsianLan then
                                 iCreatorOffset = iCreatorOffset + 48
                                 if (len(sTemp) <> 48) then
                                    warnlog "Producer is different from 'StarSuite 8'; is: '" + sTemp2 + "'"
                                 endif
                            else
                                 iCreatorOffset = iCreatorOffset + 52
                                 if (len(sTemp) <> 52) then
                                    warnlog "Producer is different from 'StarOffice 8'; is: '" + sTemp2 + "'"
                                 endif
                            endif
                         endif
                     ' /CreationDate (
                     bTemp = hFindeImDokument ("/CreationDate (")
                     if (bTemp = TRUE) then
                        Printlog "OK"
                     else
                        warnlog " /CreationDate not found in pdf file :-("
                     endif
                     hTypeKeys("<left><right><shift end>")
                     editcopy
                     sTemp = getClipboardText()
                     sTemp = left(sTemp, inStr(sTemp, ")")-1)
                     printlog sTemp + " -- " + len(sTemp)
                             iCreatorOffset = iCreatorOffset + (len(sTemp) - 23)
                                 if (len(sTemp) <> 23) then
                                    warnlog "Date is longer than expected; is: '" + sTemp2 + "'"
                                 endif
                     gApplication = sApp
                     hCloseDocument()
            if (iFileSize(3) <> (836+iCreatorOffset)) then
                Warnlog ("Filesize is different from standard ("+(836 + iCreatorOffset)+")! is: " + iFileSize(3))
            else
                printlog "" + iFileSize(3)
            endif
        endif
end sub

