'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: g_print.inc,v $
'*
'*  $Revision: 1.3 $
'*
'*  last change: $Author: fredrikh $ $Date: 2004/10/13 11:15:35 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*************************************************************************************
'*
'* Owner : fredrik.haegg@sun.com
'*
'* short description :
'*
'**************************************************************************************
' #1 tFilePrint
'\*************************************************************************************

testcase tFilePrint
   Call hNewDocument
   hTextrahmenErstellen ("This is an automated print test with testtool for GRAPHICS ",90,90,80,10)
   hTextrahmenErstellen ("Version    : "+ gVersionsnummer + " / " + gLanguage,80,90,70,10)
   hTextrahmenErstellen ("Date / Time : "+  Date + " / " + Time,70,90,60,10)
   hTextrahmenErstellen ("Machine / User: " + gPCName + "   " + gUser,60,90,50,10)
   FilePrint
   kontext
   if active.exists(2) then
       active.ok
       qaerrorlog "There is no printer available - please install one on your system!"
   endif
   sleep 2
   Kontext "DruckenDlg"
      Zusaetze.Click
      sleep 1
      Kontext "DruckerZusaetzeDraw"
      if Prospekt.IsChecked then
         Warnlog "Somebody forgot to uncheck the prospect printing!"
         Standard.Check
      endif
      if (lCase(gApplication) = "impress") then
         Zeichnung.Check
         Notizen.Check
         Handzettel.Check
         Gliederung.Check
      endif
      Seitenname.Check
      Datum.Check
      Zeit.Check
      AusgeblendeteSeiten.Check
      SeitengroesseAnpassen.Check
      AusDruckereinstellung.Check
      DruckerZusaetzeDraw.OK
      Kontext "DruckenDlg"
      Zusaetze.Click
      sleep 2
      Kontext "DruckerZusaetzeDraw"
      if (lCase(gApplication) = "impress") then
         if Not Zeichnung.IsChecked  Then Warnlog "  - Drawing not checked"
         if Not Notizen.IsChecked Then Warnlog "  - Notes not checked"
         if Not Handzettel.IsChecked Then Warnlog "  - Handout not checked"
         if Not Gliederung.IsChecked Then Warnlog "  - Outline not checked"
      endif
      if NOT Seitenname.IsChecked Then Warnlog "  - Page name not checked"
      if NOT Datum.IsChecked Then Warnlog "  - Date not checked"
      if NOT Zeit.IsChecked Then Warnlog "  - Time not checked"
      if NOT AusgeblendeteSeiten.IsChecked Then Warnlog "  - Hidden pages not checked"
      if NOT SeitengroesseAnpassen.IsChecked Then Warnlog "  - Fit to page not checked"
      if NOT AusDruckereinstellung.IsChecked Then Warnlog "  - Paper tray from printer settings not checked"
      AusDruckereinstellung.UnCheck
      Standard.Check
      DruckerZusaetzeDraw.OK
   Kontext "DruckenDlg"
   DruckenDlg.Cancel
   Sleep 5
      '/// close document ///'
   Call hCloseDocument
endcase

