'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: g_tools.inc,v $
'*
'*  $Revision: 1.7 $
'*
'*  last change: $Author: fredrikh $ $Date: 2005/06/30 15:14:36 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/********************************************************************
'*
'* Owner : fredrik.haegg@sun.com
'*
'* short description : will be moved to autocorrection.bas/inc
'*
'**************************************************************************************
' #1 tiToolsThesaurus
' #1 tiToolsHyphenation1
' #1 tiToolsHyphenation2
' #1 tToolsMacro
'\*************************************************************************************
'   sFile = gTesttoolpath + "graphics\level1\input\silben_"+iSprache+sExt

testcase tiToolsThesaurus
 Dim DasWort$
 Dim ZaehlerBedeutung

 Call hNewDocument		'/// New document ///'

'/// for normal text, the thesaurus is enabled, if the format->character->language of the word has a thesaurus///'
'///+ unfortunately in textboxes this doesn't work, you can give the word a langauge, but this is been ignored by///'
'///+ our thesaurus :-(((///'
'/// so especially for asian languages you zhave to set a default language in the options, to be able to use///'
'///+ the thesaurus there - fallback to englisch, because there is no ? thesaurus for cjk languages ??///'

    select case iSprache
       case 01 : DasWort$ = "Hello"
       case 03 : DasWort$ = "Alo"
       case 31 : DasWort$ = "Guiten"
       case 33 : DasWort$ = "Bonjour"
       case 34 : DasWort$ = "Hola"
       case 39 : DasWort$ = "Ciao"
       case 45:  DasWort$ = "Hej"
       case 46 : DasWort$ = "Vlkommen"
       case 48 : Warnlog "- No Thesaur for polish available"
         goto endsub
       case 49 : DasWort$ = "Hallo"
       case 55 : DasWort$ = "Hola"

       case else : if bAsianLan then
                     hSetSpellHypLanguage
                     DasWort$ = "Hello"
                  else
                     Warnlog "For the language  " + iSprache +" nothing is prepared yet: insert text here"
                     DasWort$ = "Hello"
                  endif
    end select

   printlog "    Thesaurus without any word in the document"

  try
     ExtrasThesaurusDraw							'/// try thesaurus in empty document ///'
     Kontext "Thesaurus"
     Thesaurus.Cancel
     WarnLog " If no word is in the document, Thesaurus shouldn't be available"
  catch
     PrintLog " No Thesaurus available"
  endcatch

  PrintLog "    Thesaurus with 1 word:  " + DasWort$

  Call hTextrahmenErstellen (DasWort$,20,20,50,30)
  sleep 1

  hTypeKeys "<Home><SHIFT END>"
  try
     ExtrasThesaurusDraw							'/// Thesaurus with only 1 word ///'
     Kontext "Thesaurus"
     if Thesaurus.Exists then
        if Wort.GetSelText <> DasWort$ Then WarnLog "marked word should be:" + DasWort$ + " but it is:" + Wort.GetSelText
        if Wort.GetSelText = DasWort$ Then PrintLog "  Marked word is correctly changed"	'/// Control if word has changed ///'
        ZaehlerBedeutung=Bedeutung.GetItemCount
        if Bedeutung.GetItemCount = 0 Then
           PrintLog "  There are no suggestions for this word"
           sleep 1
        else
           if ZaehlerBedeutung=1 Then
              Bedeutung.Select ZaehlerBedeutung
           else
              Bedeutung.Select (ZaehlerBedeutung - 1)
           end if
           sleep 1
           Synonym.Select 1									'/// Select synonym 1///'
           sleep 1
            if Ersetzen.GetText=Synonym.GetSelText Then PrintLog "  Meaning transfered into Replace edit field"
            if Ersetzen.GetText<>Synonym.GetSelText Then WarnLog "  Replacement should have been: '" + Bedeutung.GetSelText + "' but it is '" + Ersetzen.GetText+"'"
       endif
       Thesaurus.Cancel
     else
        warnlog " thesaurus didn't come up, that's bad :-("
     end if
  catch
     warnLog " No Thesaurus available ??! check if options western has smth selected !! !TL!"
  endcatch
 Call hCloseDocument									'/// Close document ///'

endcase

testcase tiToolsHyphenation1
   printlog "   - Hyphenation without any text"
   Call hNewDocument									'/// New impress document ///'
   sleep 3
   ExtrasSilbentrennungDraw								'/// Try Silbentrennung with empty document ///'
   Kontext "Silbentrennung"
    if Silbentrennung.Exists = True Then
       Warnlog "  - Dialog ist da"
       Silbentrennung.Cancel
    else
       Printlog "  - Hyphenation activated"
    end if
'   Kontext "DocumentImpress"
   printlog "   - Hyphenation with text, but without any possibility to break words"
   select case iSprache
       case 01 : hTextrahmenErstellen ("This ist a text with no split words",10,10,40,40)	'/// Create text without a pssibility to split words///'
       case 03 : hTextrahmenErstellen ("Compare a tradu" + Chr(231) + Chr(227) + "o com o original",10,10,40,40)
       case 31 : hTextrahmenErstellen ("Het is mijn bedoeling om voor en hulpmiddel.",10,10,40,40)
       case 33 : hTextrahmenErstellen ("Merci beaucoup pout votre candidature du 13/11/97.",10,10,40,40)
       case 34 : hTextrahmenErstellen ("This ist a text with no spliting words",10,10,40,40)
       case 39 : hTextrahmenErstellen ("Il documento 'Senza nome 1' stato modififcato",10,10,40,40)
       case 45 : hTextrahmenErstellen ("at du har nok i dit hvis du",10,10,40,40 )
       case 46 : hTextrahmenErstellen ("This ist a text with no spliting words",10,10,40,40)
       case 48 : hTextrahmenErstellen (" Jeoli jednak zechcesz",10,10,40,40)
       case 49 : hTextrahmenErstellen ("Dies ist ein Text ohne eine Moeglichkeit Woerter zu trennen",10,10,40,40)
       case else : if bAsianLan then
                     printlog "For the language  " + iSprache +" nothing is prepared yet, but is AsianLan, so OK :-)"
                     printlog " :-) will use English instead"
                     hTextrahmenErstellen ("This ist a text with no split words",10,10,40,40)
                  else
                     Warnlog "For the language  " + iSprache +" nothing is prepared yet: insert text here"
                  endif
   end select
   hTypeKeys "<Home>"
   ExtrasSilbentrennungDraw								'/// Try Silbentrennung ///'
   Kontext "Silbentrennung"
   if Silbentrennung.Exists =True Then
      Warnlog "Dialog exists"
      Silbentrennung.Cancel
   else
      Kontext "Active"
      if Active.Exists then Active.OK
   end if

   Call hCloseDocument 										'/// Close document ///'
endcase

testcase tiToolsHyphenation2
  dim sExt as string
  Dim i : Dim Zaehler : Dim DasWort$ : Dim Trenner
  dim sDraw as string
  dim sFile as string
  PrintLog "- Tools/Hyphenation2"
   Select Case Ucase(gApplication)
      case "DRAW"         : sExt = ".sxd"
      case "IMPRESS"      : sExt = ".sxi"
   end select

   if (not bAsianLan) then
       sFile = gTesttoolpath + "graphics\level1\input\silben_"+iSprache+sExt
       Call hDateiOeffnen (sFile)
   endif
   select case iSprache										'/// Open prepared document ///'
       case 01 :Zaehler = 5 : Trenner = 7 : DasWort$ = "personal computers."+Chr(34)
'       case 03 :
'       case 31 :
       case 33 :Zaehler = 4 : Trenner = 4 : DasWort$ = "inattendu"
       case 34 :Zaehler = 4 : Trenner = 4 : DasWort$ = "inattendu"
       case 39 :Zaehler = 6 : Trenner = 4 : DasWort$ = "professionale"
       case 45 :Zaehler = 4 : Trenner = 4 : DasWort$ = "inattendu"
       case 46 :Zaehler = 4 : Trenner = 4 : DasWort$ = "inattendu"
       case 48 :Zaehler = 4 : Trenner = 4 : DasWort$ = "twom"
       case 49 :Zaehler = 5 : Trenner = 5 : DasWort$ = "Wiederholungsfaktorisierung"
       case else : if bAsianLan then
             printlog "For the language  " + iSprache +" nothing is prepared yet, but is AsianLan, so OK :-)"
             printlog " :-) will use English instead"
             Call hDateiOeffnen (gTesttoolpath + "graphics\level1\input\silben_"+"1"+sExt)
             Zaehler = 5 : Trenner = 7 : DasWort$ = "personal computers."+Chr(34)
          else
             Warnlog "For the language  " + iSprache +" nothing is prepared yet: insert text here and create file: "+sFile
             hNewDocument
          endif
   end select

  printlog "   - Test hyphenation"
   gMouseClick 40,40
   ' WA for draw, or smth else: get text part before hyphenation:
   hTypeKeys "<MOD1 END><HOME><MOD1 SHIFT RIGHT>"		'/// Select part of text and compare it with original text at this place ///'
   sDraw = GetClipboardText()
   hTypeKeys "<MOD1 A>"						'/// Select whole text ///'
   ExtrasSilbentrennungDraw								'/// Run Hyphenation ///'
   gMouseClick 40,40
   hTypeKeys "<MOD1 END><HOME><MOD1 SHIFT RIGHT>"		'/// Select part of text and compare it with original text at this place ///'
   sleep 3
   EditCopy
    if GetClipboardText <> DasWort$ Then
       Printlog "  - Hyphenation was running"
    else
       if GetClipboardText <> sDraw then
          Printlog " - WA draw hyphenation did work :-)"
       else
          Warnlog "  - Hyphenation did not work"
          Printlog "Expected: '"+DasWort$+"'; or smth different than: '"+sDraw+"'; got: '"+GetClipboardText+"'"
       end if
    end if
   sleep 5

 Call hCloseDocument								'/// Close document ///'
endcase

testcase tToolsMacro
    Dim i as integer
    Dim j as integer
    Dim Zaehler as integer
    Dim ZaehlerListe as integer

    Call hNewDocument

    ToolsMacro
    Kontext "Makro"

    '/// to get the count of all macros, the list needs to get elapsed-all ///'
    for j = 1 to 2
        Zaehler=MakroAus.GetItemCount
        MakroAus.typeKeys "<end>"
        for i = 1 to Zaehler
            MakroAus.typeKeys "<+><up>"
        next i
    next j
    Zaehler=MakroAus.GetItemCount
    for i= 1 to Zaehler
        printlog "Starting Macro: (" + i + "/"+ Zaehler + ")"
        MakroAus.Select i
        if Makroname.GetText = "" Then
            try
                Ausfuehren.Click
                Aufzeichnen.Click
                Zuordnen.Click
                Bearbeiten.Click
                Warnlog "  - Controls should not be visible"
            catch
                Printlog "  Contrls invisible because no macro choosen"
            endcatch
        else
            SetClipboard = Makroname.GetText
            ZaehlerListe=MakroListe.GetItemCount
            for j=2 to ZaehlerListe
                Makroliste.Select j
                if Makroname.GetText<>GetClipboardText Then
                    Printlog "  Selection got used"
                else
                    Warnlog "  - Selection not right, it should be: " + Makroliste.GetSelText + " but it is: " + GetClipboardText
                end if
            next j
        end if
    next i

    Printlog "  run macros"
    MakroAus.Select 6  '3
    Ausfuehren.Click
    sleep 10
    if Makro.Exists Then
        Warnlog "  - Macro not executed"
    else
        Printlog "  Macro executed"
        ToolsMacro
        Kontext "Makro"
    end if

    Zuordnen.Click
    Kontext
    Active.SetPage TabTastatur
    Kontext "TabTastatur"
    If TabTastatur.Exists Then
        Printlog "  Assign macro works"
        TabTastatur.Cancel
        sleep 3
        Kontext "Makro"
    else
        Warnlog "  - Assigning macro does not work"
    end if

    Bearbeiten.Click
    try
        sleep 1 ' this sleep is necessary. it takes some time, until focuse switched to basic window!
        editnavigator
        kontext "NavigatorDraw"
        if NavigatorDraw.exists (5) then
            Warnlog "  - Edit macro does not work"
            editnavigator
        endif
    catch
        hCloseDocument
        Kontext "DocumentDraw"
        ToolsMacro
        Kontext "Makro"
        Printlog "  Edit macro works"
    endcatch

    MakroAus.typeKeys "<end>"
    Zaehler = Makroliste.GetItemCount
    Neu.Click ' same as delete
    kontext "NeuesModul"
    Modulname.SetText "NewMarco"
    NeuesModul.OK
    ToolsMacro
    Kontext "Makro"
    if (Makroliste.GetItemCount = (Zaehler+1)) Then
        Printlog "  New macro works"
    else
        Warnlog "  - Macro wasn't created"
    end if

    if (Makroliste.GetItemCount <> Makroliste.getSelIndex) Then
        Warnlog "  created Macro not selected"
        Makroaus.Select(Makroaus.GetItemCount)
    end if
    sleep 1
    Loeschen.Click
    sleep 1
    Kontext "Active"
    printlog Active.getText
    Active.Yes
    sleep 2
    Kontext "Makro"
    if (Makroliste.GetItemCount = 0) Then
        Printlog "  Delete macro works"
    else
        Warnlog "  - Macro wasn't deleted"
    end if
    sleep 2
    makro.close
    'TODO: organizer testing!
    Call hCloseDocument
    Call hCloseDocument
endcase
