'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: i_shape.inc,v $
'*
'*  $Revision: 1.1 $
'*
'*  last change: $Author: tbo $ $Date: 2005/05/25 14:02:08 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : owner : thorsten.bosbach@sun.com
'*
'* short description : import presentations with shapes in .ppt format
'*
'************************************************************************
'*
' #1  t_import_shapes     ' Load all shapes with .ppt format one time 
'*
'\***********************************************************************

testcase t_import_shapes
    dim i as integer
    dim iDocuments as integer
    dim lDocuments(100) as string
    dim sPage as string
    
    iDocuments = GetFileList(convertPath(gTesttoolPath + "graphics/level1/input/shapes"),"*.ppt",lDocuments())
    for i = 1 to iDocuments
        printlog "(" + i + "/" + iDocuments + "): " + lDocuments(i)
        printlog "------------------------------------------------------"
        hDateiOeffnen(lDocuments(i))
        kontext "DocumentImpress"
        DocumentImpress.typeKeys("<home>")
        while (sPage <> DocumentImpress.StatusGetText(DocumentImpress.StatusGetItemID(6))) 
            printlog "------------"
            DocumentImpress.typeKeys("<tab>")
            sleep 1 ' loop while empty: break after 10 minutes
            DocumentImpress.typeKeys("<tab>")
            FormatPositionAndSize
                kontext
                active.setpage "TabPositionAndSize"
                kontext "TabPositionAndSize"
                printlog "w: '" + Width.getText + "'; h: '" + Height.getText + "'"
            TabPositionAndSize.cancel
            kontext "DocumentImpress"
            DocumentImpress.typeKeys("<F2>")
            editSelectAll
            editCopy
            printlog getClipboard
            sPage = DocumentImpress.StatusGetText(DocumentImpress.StatusGetItemID(6))
            printlog sPage
            DocumentImpress.typeKeys("<escape><pageDown>")
            sleep 5
        wend
        hCloseDocument
    next i
endcase

