'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: d_003_.inc,v $
'*
'*  $Revision: 1.6 $
'*
'*  last change: $Author: fredrikh $ $Date: 2005/04/25 21:36:59 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*****************************************************************
'*
'* Owner : fredrik.haegg@sun.com
'*
'* short description :
'*
'\*****************************************************************

sub D_003_
   printLog Chr(13) + "---------  D_003_     ---------- "

   call tdViewSlide
   call tdViewPagePane
end sub

testcase tdViewPagePane
    '/// open application ///'
    Call hCloseDocument
    Call hNewDocument
    sleep 1
    kontext "Slides"
    if (NOT Slides.exists) then
        warnlog "Pages Panel not visible on opening application. Opening now."
        ViewPagePane
    endif
    kontext "Slides"
    try
        '/// View->Page Pane ///'
        ViewTaskSlide
        sleep 1
        if (Slides.exists) then
            warnlog "View->Page Pane failed."
            ViewTaskSlide
        endif
        '/// View->Page Pane ///'
        ViewTaskSlide
        sleep 1
        if (NOT Slides.exists) then
            warnlog "View->Page Pane failed."
            ViewTaskSlide
        endif
    catch
        warnlog "View->Page Pane couldn't get executed"
    endcatch
    '/// close application ///'
    Call hCloseDocument
endcase

testcase tdViewSlide
'/// open application ///'
   hNewDocument
    kontext "DocumentDrawImpress" ' special case :-)
'/// click the button on the bottom: 'Master View' (because it is not accessible via the menu :-() ///'
   ViewMasterPage
   sleep 1
'/// View->Slide ///'
   ViewPagePane
   Sleep 1
'/// close application ///'
   Call  hCloseDocument
endcase

