'encoding UTF-8    Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: wr_o_2.inc,v $
'*
'*  $Revision: 1.5 $
'*
'*  last change: $Author: hde $ $Date: 2005/03/15 14:14:55 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : helge.delfs@sun.com
'*
'* short description :
'*
'\***********************************************************************

sub wr_o_2
    dim temp as boolean
    Call tToolsOptionsWriterDefaultfont("BASICFONTS")
    Call tToolsOptionsWriterPrint
    ' is located in wr_o_a.inc
    Call tToolsOptionsWriterPrint1
    Call tToolsOptionsWriterTable
    Call tToolsOptionsWriterTable1
    ' is located in wr_o_a.inc
    Call tToolsOptionsWriterTableMove
    Call tToolsOptionsWriterTableInsert
    Call tToolsOptionsWriterTableEffects
    Call tToolsOptionsWriterTableEffects2
end sub

'------------------------------------------------------------------------------

testcase tToolsOptionsWriterDefaultfont (WestOrEast as string)
    dim irgendwas(1) as boolean    ' Checkbox states
    dim iListBox(5) as integer         ' ListBox
    dim sListBox(5) as String
    dim iTempListBox(5) as integer
    dim sTempListBox(5) as String
    dim sInitFont(5) as String
    dim i,x as integer
    dim sFileName as string
    dim sTempS as String

    '/// Got called two times ///'
    '///+ 1. for the western- ///'
    '///+ 2. for the asian    font page ///'

    ' iListBox(i) and iTempListBox(i) (it's an ComboBox!)
    ' (1) StandardSchrift
    ' (2) Ueberschrift
    ' (3) Liste
    ' (4) Beschriftung
    ' (5) Verzeichnis

    Call hNewDocument
    ' Remember the init-font directly after installation
    ToolsOptions
    Call hToolsOptions ("TextDocument",WestOrEast)
    Standard.Click
    sInitFont(1) = StandardSchrift.GetSelText
    sInitFont(2) = Ueberschrift.GetSelText
    sInitFont(3) = Liste.GetSelText
    sInitFont(4) = Beschriftung.GetSelText
    sInitFont(5) = Verzeichnis.GetSelText
    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK
	sleep 2
	
    if (Ucase(WestOrEast) = "BASICFONTSASIAN") then
        printlog "------------ ASIAN FONTS -------------"
        warnlog "TBO: don't know how it get's handeld, so don't pay ANY attention to warnlogs :-)"
        sFileName = gTesttoolPath + "writer\level1\input\st110tbo.sxw"
    else
        printlog "------------ WESTERN FONTS -------------"
        Call ActiveDeactivateAsianSupport(False)
        sFileName = gTesttoolPath + "writer\level1\input\st110tbo.sxw"
    endif

    '/// use a document to check the font with styles///'
    '///+ use 'input\\writer\\stufe1\\st110tbo.sxw' ///
    Call hDateiOeffnen ( sFileName )
    printlog "- Tools/Options/Writer: DefaultFont"

    printlog ("/// - save states ///")
    ToolsOptions
    Call hToolsOptions ("TextDocument",WestOrEast)

    ' CHG: save & restore text, cause asian supports more than one font in select field :-(
    irgendwas(1) = AktuellesDokument.IsChecked
    iListBox(1) = StandardSchrift.GetSelIndex
    iListBox(2) = Ueberschrift.GetSelIndex
    iListBox(3) = Liste.GetSelIndex
    iListBox(4) = Beschriftung.GetSelIndex
    iListBox(5) = Verzeichnis.GetSelIndex
    sListBox(1) = StandardSchrift.GetSelText
    sListBox(2) = Ueberschrift.GetSelText
    sListBox(3) = Liste.GetSelText
    sListBox(4) = Beschriftung.GetSelText
    sListBox(5) = Verzeichnis.GetSelText

    printlog ("'/// - all states inverting ///")

    AktuellesDokument.UnCheck
    If ( StandardSchrift.GetItemCount > iListBox(1) ) Then StandardSchrift.Select(iListBox(1) + 2) Else StandardSchrift.Select(iListBox(1)-1)
    If ( Ueberschrift.GetItemCount    > iListBox(2) and iListBox(2) > 1 ) Then Ueberschrift.Select(iListBox(2)-1) Else Ueberschrift.Select(iListBox(2)+1)
    If ( Liste.GetItemCount           > iListBox(3) ) Then Liste.Select          (iListBox(3) + 1) Else Liste.Select(iListBox(3)-1)
    If ( Beschriftung.GetItemCount    > iListBox(4) and iListBox(4) > 1 ) Then Beschriftung.Select   (iListBox(4)-1) Else Beschriftung.Select(iListBox(4)+1)
    If ( Verzeichnis.GetItemCount     > iListBox(5) ) Then Verzeichnis.Select    (iListBox(5) + 1) Else Verzeichnis.Select(iListBox(5)-1)
    iTempListBox(1) = StandardSchrift.GetSelIndex
    iTempListBox(2) = Ueberschrift.GetSelIndex
    iTempListBox(3) = Liste.GetSelIndex
    iTempListBox(4) = Beschriftung.GetSelIndex
    iTempListBox(5) = Verzeichnis.GetSelIndex

    sTempListBox(1) = StandardSchrift.GetSelText
    sTempListBox(2) = Ueberschrift.GetSelText
    sTempListBox(3) = Liste.GetSelText
    sTempListBox(4) = Beschriftung.GetSelText
    sTempListBox(5) = Verzeichnis.GetSelText

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK
    Sleep 5

    Printlog "'/// - check whether fonts get changed in doc. ///"
    Kontext "DocumentWriter"
    DocumentWriter.TypeKeys "<Up>", 5
    Call wDokSchreiben "<Home><Right>"
    sTempS = TBOGetFont()
    if sTempS <> sTempListBox(1) then Warnlog "Standardschrift: state changed  is: "+sTempS+" ;should: "+sTempListBox(1)+" : "+iTempListBox(1)
    Call wDokSchreiben "<Down>"
    sTempS = TBOGetFont()
    if sTempS <> sTempListBox(2) then Warnlog "Ueberschrift: state changed  is: "+sTempS+" ;should: "+sTempListBox(2)+" : "+iTempListBox(2)
    Call wDokSchreiben "<Down>"
    sTempS = TBOGetFont()
    if sTempS <> sTempListBox(3) then Warnlog "Liste: state changed  is: "+sTempS+" ;should: "+sTempListBox(3)+" : "+iTempListBox(3)
    Call wDokSchreiben "<Down>"
    sTempS = TBOGetFont()
    if sTempS <> sTempListBox(4) then Warnlog "Beschriftung: state changed  is: "+sTempS+" ;should: "+sTempListBox(4)+" : "+iTempListBox(4)
    Call wDokSchreiben "<Down>"
    sTempS = TBOGetFont()
    if sTempS <> sTempListBox(5) then Warnlog "Verzeichnis: state changed  is: "+sTempS+" ;should: "+sTempListBox(5)+" : "+iTempListBox(5)

    printlog (" - SO quit - start"   )

    Call TBOrestart

    printlog ("'/// - checking states ///")
    ToolsOptions
    Call hToolsOptions ( "TextDocument" , WestOrEast )

    If ( AktuellesDokument.IsChecked = TRUE ) Then WarnLog "AktuellesDokument state changed"
    If ( StandardSchrift.GetSelIndex <> iTempListBox(1) ) Then WarnLog "StandardSchrift state changed"
    If ( Ueberschrift.GetSelIndex    <> iTempListBox(2) ) Then WarnLog "Ueberschrift    state changed"
    If ( Liste.GetSelIndex           <> iTempListBox(3) ) Then WarnLog "Liste           state changed"
    If ( Beschriftung.GetSelIndex    <> iTempListBox(4) ) Then WarnLog "Beschriftung    state changed"
    If ( Verzeichnis.GetSelIndex     <> iTempListBox(5) ) Then WarnLog "Verzeichnis     state changed"

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK
	sleep 2
	
    Printlog "'///  - verify global settings don't affect saved Document ///"
    '///+ use input\\writer\\stufe1\\st110tbo.sxw ///
    Call hDateiOeffnen ( sFileName )
    Kontext "DocumentWriter"
    DocumentWriter.TypeKeys "<Up>", 5
    Call wDokSchreiben "<Home><Right>"

    sTempS = TBOGetFont()
    if sTempS <> sListBox(1) then Warnlog "Standardschrift: Writer changed  Font !?! is: "+sTempS+" ;should: "+sListBox(1)+" : "+iListBox(1)
    Call wDokSchreiben "<Down>"
    sTempS = TBOGetFont()
    if sTempS <> sListBox(2) then Warnlog "Ueberschrift: Writer changed  Font !?! is: "+sTempS+" ;should: "+sListBox(2)+" : "+iListBox(2)
    Call wDokSchreiben "<Down>"
    sTempS = TBOGetFont()
    if sTempS <> sListBox(3) then Warnlog "Liste: Writer changed  Font !?! is: "+sTempS+" ;should: "+sListBox(3)+" : "+iListBox(3)
    Call wDokSchreiben "<Down>"
    sTempS = TBOGetFont()
    if sTempS <> sListBox(4) then Warnlog "Beschriftung: Writer changed  Font !?! is: "+sTempS+" ;should: "+sListBox(4)+" : "+iListBox(4)
    Call wDokSchreiben "<Down>"
    sTempS = TBOGetFont()
    if sTempS <> sListBox(5) then Warnlog "Verzeichnis: Writer changed  Font !?! is: "+sTempS+" ;should: "+sListBox(5)+" : "+iListBox(5)

    Call hCloseDocument

    printlog ("'/// - all UnCheck -> o ///")
    ToolsOptions
    Call hToolsOptions ( "TextDocument" , WestOrEast )

    AktuellesDokument.Check
    StandardSchrift.Select(1)
    Ueberschrift.Select(1)
    Liste.Select(1)
    Beschriftung.Select(1)
    Verzeichnis.Select(1)

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK
	sleep 2
	
    printlog ("'/// - check if all UnChecked ///")
    ToolsOptions
    Call hToolsOptions ( "TextDocument" , WestOrEast )

    If ( AktuellesDokument.IsChecked <> True ) Then WarnLog "AktuellesDokument o"
    If ( StandardSchrift.GetSelIndex <> 1 ) Then WarnLog "StandardSchrift is not item 1"
    If ( Ueberschrift.GetSelIndex    <> 1 ) Then WarnLog "Ueberschrift    is not item 1"
    If ( Liste.GetSelIndex           <> 1 ) Then WarnLog "Liste           is not item 1"
    If ( Beschriftung.GetSelIndex    <> 1 ) Then WarnLog "Beschriftung    is not item 1"
    If ( Verzeichnis.GetSelIndex     <> 1 ) Then WarnLog "Verzeichnis     is not item 1"

    Printlog ("'/// - all Check -> x ///")

    AktuellesDokument.Check
    StandardSchrift.Select(StandardSchrift.GetItemCount)
    Ueberschrift.Select   (Ueberschrift.GetItemCount   )
    Liste.Select          (Liste.GetItemCount          )
    Beschriftung.Select   (Beschriftung.GetItemCount   )
    Verzeichnis.Select    (Verzeichnis.GetItemCount    )

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK
	sleep 2
	
    printlog ("'/// - check if all Checked ///")
    ToolsOptions
    Call hToolsOptions ( "TextDocument" , WestOrEast )

    If not AktuellesDokument.IsChecked Then WarnLog "AktuellesDokument o"
    If ( StandardSchrift.GetSelIndex <> StandardSchrift.GetItemCount ) Then WarnLog "StandardSchrift is not item (GetItemCount):"+StandardSchrift.GetSelIndex
    If ( Ueberschrift.GetSelIndex    <> Ueberschrift.GetItemCount    ) Then WarnLog "Ueberschrift    is not item (GetItemCount)"
    If ( Liste.GetSelIndex           <> Liste.GetItemCount           ) Then WarnLog "Liste           is not item (GetItemCount)"
    If ( Beschriftung.GetSelIndex    <> Beschriftung.GetItemCount    ) Then WarnLog "Beschriftung    is not item (GetItemCount)"
    If ( Verzeichnis.GetSelIndex     <> Verzeichnis.GetItemCount     ) Then WarnLog "Verzeichnis     is not item (GetItemCount)"

    printlog ("'/// - check Default Button ///")
    Standard.Click ' mal schauen, ob vorhanden...

    If ( StandardSchrift.GetSelText <> sInitFont(1) ) Then WarnLog "StandardSchrift not init font!"
    If ( Ueberschrift.GetSelText    <> sInitFont(2) ) Then WarnLog "Ueberschrift    not init font! BUGID: 89816"
    If ( Liste.GetSelText           <> sInitFont(3) ) Then WarnLog "Liste           not init font!"
    If ( Beschriftung.GetSelText    <> sInitFont(4) ) Then WarnLog "Beschriftung    not init font!"
    If ( Verzeichnis.GetSelText     <> sInitFont(5) ) Then WarnLog "Verzeichnis     not init font!"

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.Cancel

    printlog ("'/// - restore states ///")
    ToolsOptions
    Call hToolsOptions ( "TextDocument" , WestOrEast )

    If ( irgendwas(1) = TRUE ) Then  AktuellesDokument.Check Else AktuellesDokument.UnCheck
    StandardSchrift.SetText (sListBox(1))
    Ueberschrift.SetText    (sListBox(2))
    Liste.SetText           (sListBox(3))
    Beschriftung.SetText    (sListBox(4))
    Verzeichnis.SetText     (sListBox(5))

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK

	Do Until GetDocumentCount = 1 
		Call hCloseDocument
	Loop
endcase

'------------------------------------------------------------------------------

testcase tToolsOptionsWriterPrint1
    dim irgendwas(12) as boolean    ' Checkbox states
    dim iListBox(1) as string         ' ListBox
    dim iTempListBox(1) as string
    dim bRadioBut(4) as boolean         ' RadioButtons
    dim bTempRadioBut(4) as boolean
    dim i as integer, sWriterFilter as string
	Dim WriterFilterExtension(10) as string	
	WriterFilterExtension() = hGetFilternameExtension ( "writer8" )
	
    ' sMetricField(i) and sTempMetricField(i)
    '(1) = Grafiken
    '(2) = Tabellen
    '(3) = Zeichnungen
    '(4) = Kontrollfelder
    '(5) = Hintergrund
    '(6) = SchwarzDrucken
    '
    '(7) = LinkeSeiten
    '(8) = RechteSeiten
    '(9) = Umgekehrt
    '(10)= Prospekt
    '
    '(11)= EinzelneDruckauftraege
    '(12)= AusDruckereinstellung

    ' bRadioBut(i) and bTempRadioBut(i) / RadioButton
    '(1) = Keine
    '(2) = NurNotizen
    '(3) = Dokumentende
    '(4) = Seitenende

    '/// uses "input\\writer\\stufe1\\st1_11.sxw" ///
    Call hDateiOeffnen ( gTesttoolPath + "writer\level1\input\st1_11.sxw" )
    printlog "'///- Tools/Options/Writer: PrintWriter ///"

    printlog ("'/// - save states ///")
    ToolsOptions
    Call hToolsOptions ("TextDocument","PRINT")

    irgendwas(1) = Grafiken.IsChecked
    irgendwas(2) = Tabellen.IsChecked
    irgendwas(3) = Zeichnungen.IsChecked
    irgendwas(4) = Kontrollfelder.IsChecked
    irgendwas(5) = Hintergrund.IsChecked
    irgendwas(6) = SchwarzDrucken.IsChecked

    irgendwas(7) = LinkeSeiten.IsChecked
    irgendwas(8) = RechteSeiten.IsChecked
    irgendwas(9) = Umgekehrt.IsChecked
    irgendwas(10)= Prospekt.IsChecked

    irgendwas(11)= EinzelneDruckauftraege.IsChecked
    irgendwas(12)= AusDruckereinstellung.IsChecked

    iListBox(1) = Fax.GetSelText

    bRadioBut(1) = Keine.IsChecked
    bRadioBut(2) = NurNotizen.IsChecked
    bRadioBut(3) = Dokumentende.IsChecked
    bRadioBut(4) = Seitenende.IsChecked

    printlog ("'/// - all states inverting ///")

    if irgendwas(1) Then Grafiken.UnCheck               Else Grafiken.Check
    if irgendwas(2) Then Tabellen.UnCheck               Else Tabellen.Check
    if irgendwas(3) Then Zeichnungen.UnCheck            Else Zeichnungen.Check
    if irgendwas(4) Then Kontrollfelder.UnCheck         Else Kontrollfelder.Check
    if irgendwas(5) Then Hintergrund.UnCheck            Else Hintergrund.Check
    if irgendwas(6) Then SchwarzDrucken.UnCheck         Else SchwarzDrucken.Check

    if irgendwas(7) Then LinkeSeiten.UnCheck            Else LinkeSeiten.Check
    if irgendwas(8) Then RechteSeiten.UnCheck           Else RechteSeiten.Check
    if irgendwas(9) Then Umgekehrt.UnCheck              Else Umgekehrt.Check
    if irgendwas(10) Then Prospekt.UnCheck               Else Prospekt.Check

    if irgendwas(11) Then EinzelneDruckauftraege.UnCheck Else EinzelneDruckauftraege.Check
    if irgendwas(12) Then AusDruckereinstellung.UnCheck  Else AusDruckereinstellung.Check

    if (Keine.IsChecked = True) Then NurNotizen.Check Else Keine.Check

    bTempRadioBut(1) = Keine.IsChecked
    bTempRadioBut(2) = NurNotizen.IsChecked
    bTempRadioBut(3) = Dokumentende.IsChecked
    bTempRadioBut(4) = Seitenende.IsChecked

    try
        if (NO_REAL_PRINT = False) Then FL_Drucken
        for i = 1 to 10
            Kontext "Druckbestaetigung"
            if Druckbestaetigung.Exists then
                Sleep 1
            else
                i = 100
            endif
        next i
    catch
        print " :::::::::::::::wr2::::::test d1"
  endcatch

  Kontext "Active"
  if Active.Exists then
        If Active.GetRT = 304 then
            printlog Active.Gettext
            try
                Active.Ok
            catch
                Active.Yes
            endcatch
        endif
    endif
    Kontext "TabDruckenWriter"
    wait 500
    If Fax.GetSelText <> iListBox(1) Then
        Fax.Select (Fax.GetItemCount)
    Else
        Fax.Select(1)
    endif
    iTempListBox(1) = Fax.GetSelText

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK
	sleep 2
    Call hSpeichernUnterMitFilterKill(gOfficepath + "user\work\printtest." & WriterFilterExtension(0) , gWriterFilter)

    printlog ("'/// - SO quit - start ///")

    Call TBOrestart

    printlog ("'/// - checking states ///")
    ToolsOptions
    Call hToolsOptions ( "TextDocument" , "PRINT" )

    If ( irgendwas(1) = Grafiken.IsChecked               ) Then WarnLog "Grafiken state changed"
    If ( irgendwas(2) = Tabellen.IsChecked               ) Then WarnLog "Tabellen state changed"
    If ( irgendwas(3) = Zeichnungen.IsChecked            ) Then WarnLog "Zeichnungen state changed"
    If ( irgendwas(4) = Kontrollfelder.IsChecked         ) Then WarnLog "Kontrollfelder state changed"
    If ( irgendwas(5) = Hintergrund.IsChecked            ) Then WarnLog "Hintergrund state changed"
    If ( irgendwas(6) = SchwarzDrucken.IsChecked         ) Then WarnLog "SchwarzDrucken state changed"

    If ( irgendwas(7) = LinkeSeiten.IsChecked            ) Then WarnLog "LinkeSeiten state changed"
    If ( irgendwas(8) = RechteSeiten.IsChecked           ) Then WarnLog "RechteSeiten state changed"
    If ( irgendwas(9) = Umgekehrt.IsChecked              ) Then WarnLog "Umgekehrt state changed"
    If ( irgendwas(10)= Prospekt.IsChecked               ) Then WarnLog "Prospekt state changed"

    If ( irgendwas(11)= EinzelneDruckauftraege.IsChecked ) Then WarnLog "EinzelneDruckauftraege state changed"
    If ( irgendwas(12)= AusDruckereinstellung.IsChecked  ) Then WarnLog "AusDruckereinstellung state changed"

    If Fax.GetSelText <> iTempListBox(1) Then WarnLog "Fax state changed"

    If ( bTempRadioBut(1) <> Keine.IsChecked       ) Then WarnLog "Keine state changed (Bug#99202)"
    If ( bTempRadioBut(2) <> NurNotizen.IsChecked  ) Then WarnLog "NurNotizen state changed (Bug#99202)"
    If ( bTempRadioBut(3) <> Dokumentende.IsChecked) Then WarnLog "Dokumentende state changed"
    If ( bTempRadioBut(4) <> Seitenende.IsChecked  ) Then WarnLog "Seitenende state changed"

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK
    sleep 2
	' Notify is saved with document
    Call hDateiOeffnen(gOfficepath + "user\work\printtest." & WriterFilterExtension(0) )
    ToolsOptions
    Call hToolsOptions ( "TextDocument" , "PRINT" )

    If ( bTempRadioBut(1) <> Keine.IsChecked       ) Then WarnLog "Keine state changed (Not saved with document)"
    If ( bTempRadioBut(2) <> NurNotizen.IsChecked  ) Then WarnLog "NurNotizen state changed (Not saved with document)"
    If ( bTempRadioBut(3) <> Dokumentende.IsChecked) Then WarnLog "Dokumentende state changed (Not saved with document)"
    If ( bTempRadioBut(4) <> Seitenende.IsChecked  ) Then WarnLog "Seitenende state changed (Not saved with document)"

    printlog ("'/// - all UnCheck -> o ///")

    Grafiken.UnCheck
    Tabellen.UnCheck
    Zeichnungen.UnCheck
    Kontrollfelder.UnCheck
    Hintergrund.UnCheck
    SchwarzDrucken.UnCheck

    LinkeSeiten.UnCheck
    RechteSeiten.UnCheck
    Umgekehrt.UnCheck
    Prospekt.UnCheck

    EinzelneDruckauftraege.UnCheck
    AusDruckereinstellung.UnCheck

    if (NurNotizen.IsChecked = True) Then Dokumentende.Check Else NurNotizen.Check

    bTempRadioBut(1) = Keine.IsChecked
    bTempRadioBut(2) = NurNotizen.IsChecked
    bTempRadioBut(3) = Dokumentende.IsChecked
    bTempRadioBut(4) = Seitenende.IsChecked

    Fax.Select(1)

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK
	sleep 2
	
    printlog ("'/// - check if all UnChecked ///")
    ToolsOptions
    Call hToolsOptions ( "TextDocument" , "PRINT" )

    If Grafiken.IsChecked       Then WarnLog "Grafiken x"
    If Tabellen.IsChecked       Then WarnLog "Tabellen x"
    If Zeichnungen.IsChecked    Then WarnLog "Zeichnungen x"
    If Kontrollfelder.IsChecked Then WarnLog "Kontrollfelder x"
    If Hintergrund.IsChecked    Then WarnLog "Hintergrund x"
    If SchwarzDrucken.IsChecked Then WarnLog "SchwarzDrucken x"

    If LinkeSeiten.IsChecked    Then WarnLog "LinkeSeiten x"
    If RechteSeiten.IsChecked   Then WarnLog "RechteSeiten x"
    If Umgekehrt.IsChecked      Then WarnLog "Umgekehrt x"
    If Prospekt.IsChecked       Then WarnLog "Prospekt x"

    If EinzelneDruckauftraege.IsChecked Then WarnLog "EinzelneDruckauftraege x"
    If AusDruckereinstellung.IsChecked  Then WarnLog "AusDruckereinstellung x"

    If ( bTempRadioBut(1) <> Keine.IsChecked       ) Then WarnLog "Keine state changed"
    If ( bTempRadioBut(2) <> NurNotizen.IsChecked  ) Then WarnLog "NurNotizen state changed"
    If ( bTempRadioBut(3) <> Dokumentende.IsChecked) Then WarnLog "Dokumentende state changed"
    If ( bTempRadioBut(4) <> Seitenende.IsChecked  ) Then WarnLog "Seitenende state changed"

    If ( Fax.GetSelIndex <> 1 ) Then WarnLog "Fax is not item 1"

    Printlog ("'/// - all Check -> x ///")

    Grafiken.Check
    Tabellen.Check
    Zeichnungen.Check
    Kontrollfelder.Check
    Hintergrund.Check
    SchwarzDrucken.Check

    LinkeSeiten.Check
    RechteSeiten.Check
    Umgekehrt.Check
    Prospekt.Check

    EinzelneDruckauftraege.Check
    AusDruckereinstellung.Check

    if (Dokumentende.IsChecked = True) Then Seitenende.Check Else Dokumentende.Check

    bTempRadioBut(1) = Keine.IsChecked
    bTempRadioBut(2) = NurNotizen.IsChecked
    bTempRadioBut(3) = Dokumentende.IsChecked
    bTempRadioBut(4) = Seitenende.IsChecked

    Fax.Select(Fax.GetItemCount)

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK
	sleep 2
	
    printlog ("'/// - check if all Checked ///")
    ToolsOptions
    Call hToolsOptions ( "TextDocument" , "PRINT" )

    If not Grafiken.IsChecked                Then WarnLog "Grafiken o"
    If not Tabellen.IsChecked                Then WarnLog "Tabellen o"
    If not Zeichnungen.IsChecked             Then WarnLog "Zeichnungen o"
    If not Kontrollfelder.IsChecked          Then WarnLog "Kontrollfelder o"
    If not Hintergrund.IsChecked             Then WarnLog "Hintergrund o"
    If not SchwarzDrucken.IsChecked          Then WarnLog "SchwarzDrucken o"

    If not LinkeSeiten.IsChecked             Then WarnLog "LinkeSeiten o"
    If not RechteSeiten.IsChecked            Then WarnLog "RechteSeiten o"
    If not Umgekehrt.IsChecked               Then WarnLog "Umgekehrt o"
    If not Prospekt.IsChecked                Then WarnLog "Prospekt o"

    If not EinzelneDruckauftraege.IsChecked  Then WarnLog "EinzelneDruckauftraege o"
    If not AusDruckereinstellung.IsChecked   Then WarnLog "AusDruckereinstellung o"

    ' This state will be saved with the document
    If ( bTempRadioBut(1) <> Keine.IsChecked       ) Then WarnLog "Keine state changed"
    If ( bTempRadioBut(2) <> NurNotizen.IsChecked  ) Then WarnLog "NurNotizen state changed"
    If ( bTempRadioBut(3) <> Dokumentende.IsChecked) Then WarnLog "Dokumentende state changed"
    If ( bTempRadioBut(4) <> Seitenende.IsChecked  ) Then WarnLog "Seitenende state changed"

    If ( Fax.GetSelIndex <> Fax.GetItemCount ) Then WarnLog "Fax is not item (GetItemCount)"

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.Cancel

    printlog ("'/// - restore states ///")
    ToolsOptions
    Call hToolsOptions ( "TextDocument" , "PRINT" )

    If ( irgendwas(1) =  TRUE ) Then  Grafiken.Check                Else Grafiken.UnCheck
    If ( irgendwas(2) =  TRUE ) Then  Tabellen.Check                Else Tabellen.UnCheck
    If ( irgendwas(3) =  TRUE ) Then  Zeichnungen.Check             Else Zeichnungen.UnCheck
    If ( irgendwas(4) =  TRUE ) Then  Kontrollfelder.Check          Else Kontrollfelder.UnCheck
    If ( irgendwas(5) =  TRUE ) Then  Hintergrund.Check             Else Hintergrund.UnCheck
    If ( irgendwas(6) =  TRUE ) Then  SchwarzDrucken.Check          Else SchwarzDrucken.UnCheck

    If ( irgendwas(7) =  TRUE ) Then  LinkeSeiten.Check             Else LinkeSeiten.UnCheck
    If ( irgendwas(8) =  TRUE ) Then  RechteSeiten.Check            Else RechteSeiten.UnCheck
    If ( irgendwas(9) =  TRUE ) Then  Umgekehrt.Check               Else Umgekehrt.UnCheck
    If ( irgendwas(10) = TRUE ) Then  Prospekt.Check                Else Prospekt.UnCheck

    If ( irgendwas(11) = TRUE ) Then  EinzelneDruckauftraege.Check  Else EinzelneDruckauftraege.UnCheck
    If ( irgendwas(12) = TRUE ) Then  AusDruckereinstellung.Check   Else AusDruckereinstellung.UnCheck

    try
        Fax.Select (iListBox(1))
    catch
        warnlog "restore fax doesn't work"
    endcatch

    If ( bRadioBut(1) = TRUE ) Then Keine.Check
    If ( bRadioBut(2) = TRUE ) Then NurNotizen.Check
    If ( bRadioBut(3) = TRUE ) Then Dokumentende.Check
    If ( bRadioBut(4) = TRUE ) Then Seitenende.Check

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK
	sleep 2
	
	Do Until GetDocumentCount = 1
    	Call hCloseDocument
	Loop
endcase

'------------------------------------------------------------------------------

testcase tToolsOptionsWriterTable
    dim sMetricField(4) as string      ' MetricField
    dim sTempMetricField(4) as string
    dim bRadioBut(3) as boolean    ' RadioButton states
    dim bTempRadioBut(3) as boolean
       
    ' sMetricField(i) and sTempMetricField(i)
    '(1) = VerschiebenZeile
    '(2) = VerschiebenSpalte
    '(3) = EinfuegenZeile
    '(4) = EinfuegenSpalte

    ' bRadioBut(i) and bTempRadioBut(i)
    '(1) = VerhaltenFix
    '(2) = FixProportional
    '(3) = Variabel

    Call hNewDocument
    printlog ("'///- Tools/Options/Writer: Table ///")

    printlog ("'/// - save states ///")
    ToolsOptions
    Call hToolsOptions ("TextDocument","Table")

    sMetricField(1) = VerschiebenZeile.GetText
    sMetricField(2) = VerschiebenSpalte.GetText
    sMetricField(3) = EinfuegenZeile.GetText
    sMetricField(4) = EinfuegenSpalte.GetText

    bRadioBut(1) = VerhaltenFix.IsChecked
    bRadioBut(2) = FixProportional.IsChecked
    bRadioBut(3) = Variabel.IsChecked

    If ((bRadioBut(1) Xor bRadioBut(2) Xor bRadioBut(3)) = False) Then Warnlog (" RadioButtons have NO init state: " + bRadioBut(1) +", BugID: 83097")

    printlog ("'/// - all states inverting ///")

    VerschiebenZeile.ToMax
    VerschiebenSpalte.ToMax
    EinfuegenZeile.ToMax
    EinfuegenSpalte.ToMax
    If ( VerschiebenZeile.GetText  = sMetricField(1) ) Then VerschiebenZeile.ToMin
    If ( VerschiebenSpalte.GetText = sMetricField(2) ) Then VerschiebenSpalte.ToMin
    If ( EinfuegenZeile.GetText    = sMetricField(3) ) Then EinfuegenZeile.ToMin
    If ( EinfuegenSpalte.GetText   = sMetricField(4) ) Then EinfuegenSpalte.ToMin
    sTempMetricField(1) = VerschiebenZeile.GetText
    sTempMetricField(2) = VerschiebenSpalte.GetText
    sTempMetricField(3) = EinfuegenZeile.GetText
    sTempMetricField(4) = EinfuegenSpalte.GetText

    if (VerhaltenFix.IsChecked = True) Then FixProportional.Check Else VerhaltenFix.Check

    bTempRadioBut(1) = VerhaltenFix.IsChecked
    bTempRadioBut(2) = FixProportional.IsChecked
    bTempRadioBut(3) = Variabel.IsChecked

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK
    printlog ("'/// - SO quit - start ///")

    Call TBOrestart

    printlog ("'/// - checking states ///")
    ToolsOptions
    Call hToolsOptions ( "TextDocument" , "Table" )

    If ( VerschiebenZeile.GetText  <> sTempMetricField(1) ) Then WarnLog "VerschiebenZeile state changed BugID: 82990 "
    If ( VerschiebenSpalte.GetText <> sTempMetricField(2) ) Then WarnLog "VerschiebenSpalte state changed"
    If ( EinfuegenZeile.GetText    <> sTempMetricField(3) ) Then WarnLog "EinfuegenZeile state changed"
    If ( EinfuegenSpalte.GetText   <> sTempMetricField(4) ) Then WarnLog "EinfuegenSpalte state changed"

    If ( bTempRadioBut(1) <> VerhaltenFix.IsChecked   ) Then WarnLog "VerhaltenFix state changed"
    If ( bTempRadioBut(2) <> FixProportional.IsChecked) Then WarnLog "FixProportional state changed"
    If ( bTempRadioBut(3) <> Variabel.IsChecked       ) Then WarnLog "Variabel state changed"

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK
	sleep 2
	
    printlog ("'/// - all UnCheck -> o ///")
    ToolsOptions
    Call hToolsOptions ( "TextDocument" , "Table" )

    VerschiebenZeile.ToMin
    VerschiebenSpalte.ToMin
    EinfuegenZeile.ToMin
    EinfuegenSpalte.ToMin
    sTempMetricField(1) = VerschiebenZeile.GetText
    sTempMetricField(2) = VerschiebenSpalte.GetText
    sTempMetricField(3) = EinfuegenZeile.GetText
    sTempMetricField(4) = EinfuegenSpalte.GetText
    printlog ("'/// More test ///'")
    VerschiebenZeile.More
    VerschiebenSpalte.More
    EinfuegenZeile.More
    EinfuegenSpalte.More

    if ( sTempMetricField(1) = VerschiebenZeile.GetText  ) Then WarnLog "VerschiebenZeile.  More-Button not working"
    if ( sTempMetricField(2) = VerschiebenSpalte.GetText ) Then WarnLog "VerschiebenSpalte. More-Button not working"
    if ( sTempMetricField(3) = EinfuegenZeile.GetText    ) Then WarnLog "EinfuegenZeile.     More-Button not working"
    if ( sTempMetricField(4) = EinfuegenSpalte.GetText   ) Then WarnLog "EinfuegenSpalte.    More-Button not working"

    sTempMetricField(1) = VerschiebenZeile.GetText
    sTempMetricField(2) = VerschiebenSpalte.GetText
    sTempMetricField(3) = EinfuegenZeile.GetText
    sTempMetricField(4) = EinfuegenSpalte.GetText

    if (FixProportional.IsChecked = True) Then Variabel.Check Else FixProportional.Check
    bTempRadioBut(1) = VerhaltenFix.IsChecked
    bTempRadioBut(2) = FixProportional.IsChecked
    bTempRadioBut(3) = Variabel.IsChecked

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK
	sleep 2
	
    printlog ("'/// - check if all UnChecked ///")
    ToolsOptions
    Call hToolsOptions ( "TextDocument" , "Table" )

    If ( VerschiebenZeile.GetText  <> sTempMetricField(1) ) Then WarnLog "VerschiebenZeile is not min."
    If ( VerschiebenSpalte.GetText <> sTempMetricField(2) ) Then WarnLog "VerschiebenSpalte is not min."
    If ( EinfuegenZeile.GetText    <> sTempMetricField(3) ) Then WarnLog "EinfuegenZeile is not min."
    If ( EinfuegenSpalte.GetText   <> sTempMetricField(4) ) Then WarnLog "EinfuegenSpalte is not min."

    If ( bTempRadioBut(1) <> VerhaltenFix.IsChecked   ) Then WarnLog "VerhaltenFix state changed"
    If ( bTempRadioBut(2) <> FixProportional.IsChecked) Then WarnLog "FixProportional state changed"
    If ( bTempRadioBut(3) <> Variabel.IsChecked       ) Then WarnLog "Variabel state changed"

    Printlog ("'/// - all Check -> x ///")

    VerschiebenZeile.ToMax
    VerschiebenSpalte.ToMax
    EinfuegenZeile.ToMax
    EinfuegenSpalte.ToMax
    sTempMetricField(1) = VerschiebenZeile.GetText
    sTempMetricField(2) = VerschiebenSpalte.GetText
    sTempMetricField(3) = EinfuegenZeile.GetText
    sTempMetricField(4) = EinfuegenSpalte.GetText
    printlog ("'/// Less test ///'")
    VerschiebenZeile.Less
    VerschiebenSpalte.Less
    EinfuegenZeile.Less
    EinfuegenSpalte.Less
    if ( sTempMetricField(1) = VerschiebenZeile.GetText  ) Then WarnLog "VerschiebenZeile.  Less-Button not working"
    if ( sTempMetricField(2) = VerschiebenSpalte.GetText ) Then WarnLog "VerschiebenSpalte. Less-Button not working"
    if ( sTempMetricField(3) = EinfuegenZeile.GetText    ) Then WarnLog "EinfuegenZeile.     Less-Button not working"
    if ( sTempMetricField(4) = EinfuegenSpalte.GetText   ) Then WarnLog "EinfuegenSpalte.    Less-Button not working"
    sTempMetricField(1) = VerschiebenZeile.GetText
    sTempMetricField(2) = VerschiebenSpalte.GetText
    sTempMetricField(3) = EinfuegenZeile.GetText
    sTempMetricField(4) = EinfuegenSpalte.GetText

    if (Variabel.IsChecked = True) Then VerhaltenFix.Check Else Variabel.Check
    bTempRadioBut(1) = VerhaltenFix.IsChecked
    bTempRadioBut(2) = FixProportional.IsChecked
    bTempRadioBut(3) = Variabel.IsChecked

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK
	sleep 2
	
    printlog ("'/// - check if all Checked ///")
    ToolsOptions
    Call hToolsOptions ( "TextDocument" , "Table" )

    If ( VerschiebenZeile.GetText  <> sTempMetricField(1) ) Then WarnLog "VerschiebenZeile is not max."
    If ( VerschiebenSpalte.GetText <> sTempMetricField(2) ) Then WarnLog "VerschiebenSpalte is not max."
    If ( EinfuegenZeile.GetText    <> sTempMetricField(3) ) Then WarnLog "EinfuegenZeile is not max."
    If ( EinfuegenSpalte.GetText   <> sTempMetricField(4) ) Then WarnLog "EinfuegenSpalte is not max."

    If ( bTempRadioBut(1) <> VerhaltenFix.IsChecked   ) Then WarnLog "VerhaltenFix state changed"
    If ( bTempRadioBut(2) <> FixProportional.IsChecked) Then WarnLog "FixProportional state changed"
    If ( bTempRadioBut(3) <> Variabel.IsChecked       ) Then WarnLog "Variabel state changed"

    printlog ("'/// - restore states ///")

    VerschiebenZeile.SetText  (sMetricField(1))
    VerschiebenSpalte.SetText (sMetricField(2))
    EinfuegenZeile.SetText    (sMetricField(3))
    EinfuegenSpalte.SetText   (sMetricField(4))

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK

    Call hCloseDocument
endcase

'------------------------------------------------------------------------------

testcase tToolsOptionsWriterTable1

    '/// There was a bug from OpenOffice where the Office crashed ///
    '/// This testcase check for this bug ///

    Call hNewDocument
    printlog ("'///- Tools/Options/HTML: Table ///")
    ToolsOptions
    Call hToolsOptions ("HTMLDOCUMENT","Table")
    '/// Check fixed and choose 'OK' ///
    VerhaltenFix.Check

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK
    Sleep 5

    '/// ///
    ToolsOptions
    Call hToolsOptions ("HTMLDOCUMENT","Table")
    '/// Reset radiobutton to 'Variable' in Options ///
    Variabel.Check

    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK

    Call hCloseDocument

endcase

'------------------------------------------------------------------------------

testcase tExtrasOptionenSonstiges_2
    Dim nicht_aktualisiert as string
    printlog "'///- Extras / Optionen / Sonstiges / Felder & Diagramme ///"
    printlog "'///-  ohne Dokument ///"

    ToolsOptions
    Call hToolsOptions("TEXTDOCUMENT","GENERAL")

    if not AufNachfrage.IsChecked then AufNachfrage.Check
    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.Ok

    printlog "'///-  mit Dokument  (kein aktualisieren) ///"
    Call hNewDocument
    Sleep 1
    ToolsOptions
    Call hToolsOptions("TEXTDOCUMENT","GENERAL")
    diagramme.uncheck
    Feldbefehle.Uncheck
    nie.check
    print "nun teste "
    Sleep 1
    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.OK
    sleep 2
	print " anzahl 1"
    Call hCloseDocument
    sleep 3
    print " anzahl 2"
    Call hNewDocument

    Kontext "DocumentWriter"
    DocumentWriter.TypeKeys "Referenztext"
    DocumentWriter.TypeKeys "<Shift Home>"
    printlog "'///-   Referenzen ///"
    InsertFieldsOther
    Kontext
    Active.Setpage TabReferenzen
    Kontext "TabReferenzen"

    Feldtyp.Select 1   ' Feldbefehl Referenz setzen wﾄhlen

    Namefeld.Settext "Referenz"
    Einfuegen.Click
    Schliessen.Click
    Kontext "DocumentWriter"
    DocumentWriter.TypeKeys "<End><Return><Return>"
    InsertFieldsOther
    Kontext
    Active.Setpage TabReferenzen
    Kontext "TabReferenzen"

    ' Feldbefehl Referenz einf?gen
    Feldtyp.Select 2
    Auswahl.Select 1
    Formatliste.Select 3
    Einfuegen.Click
    Schliessen.Click

    print "1"
    Kontext "DocumentWriter"
    DocumentWriter.TypeKeys "<Up>",2
    DocumentWriter.TypeKeys "<Home>"
    DocumentWriter.TypeKeys "Dies ist "
    DocumentWriter.TypeKeys "<Down>",2
    DocumentWriter.TypeKeys "<end>"
    DocumentWriter.TypeKeys "<Shift Home>"
    EditCopy
    if GetClipBoardText <> "Referenztext" then Warnlog "Referenztext wurde automatisch aktualisiert: "+GetClipBoardText
    DocumentWriter.TypeKeys "<End><Return><Return>"
    print "2"

    printlog "-   Formeln in Tabellen"
    Kontext "DocumentWriter"
    DocumentWriter.TypeKeys "<End><Return><Return>"

    InsertTableWriter
    Kontext "TabelleEinfuegenWriter"
    Spalten.Settext "3"
    Zeilen.Settext "1"
    TabelleEinfuegenWriter.Ok
    Kontext "DocumentWriter"
    DocumentWriter.TypeKeys "<Tab>",2
    Kontext "TableObjectbar"
    FormelEingeben.Click
    Kontext "OL_SW_Rechenleiste"
    printlog "'/// BugId: 83650 Expression Faulty ///'"
    Eingabefeld.Settext "=sum(<A1>|<B1>)"
    Eingabefeld.TypeKeys "<Return>"

    Kontext "DocumentWriter"
    DocumentWriter.TypeKeys "<Shift Tab>",2
    DocumentWriter.TYpeKeys "25<Tab>"
    DocumentWriter.TypeKeys "30<Tab>"
    DocumentWriter.TypeKeys "<Shift Home>"
    EditCopy
    if GetClipBoardtext="55" then Warnlog "- Ergebnis der Formel wurde automatisch aktualisiert: "+GetClipBoardText
    DocumentWriter.TypeKeys "<Up>",10
    DocumentWriter.TypeKeys "<End>"

    printlog "'///-  mit Dokument (automatisch aktualisieren) ///"
    ToolsOptions
    Call hToolsOptions("TEXTDOCUMENT","GENERAL")
    Feldbefehle.Check
    Kontext "ExtrasOptionenDlg"
    ExtrasOptionenDlg.Ok
	sleep 2
    print "3"
    printlog "'///-   Referenzen ///"
    Sleep 2
    Kontext "DocumentWriter"
    DocumentWriter.TypeKeys "<Backspace>",10
    DocumentWriter.TypeKeys "<left><right>"
    DocumentWriter.TypeKeys "hmagen in Aspik"
    DocumentWriter.TypeKeys "<Down>",2
    DocumentWriter.TypeKeys "<end>"
    DocumentWriter.TypeKeys "<space><backspace>"
    sleep 3
    DocumentWriter.TypeKeys "<Shift Home>"
    EditCopy
    if GetClipBoardText <> "Dies ist Rehmagen in Aspik" then Warnlog "Feldbefehl wurde nicht automatisch aktualisiert!: "+GetClipBoardText
    print "g"

    printlog "-   Formeln in Tabellen"
    DocumentWriter.TypeKeys "<Down>",4
    DocumentWriter.TypeKeys "1<Tab>"
    DocumentWriter.TypeKeys "2<Tab>"
    DocumentWriter.TypeKeys "<Shift Home>"
    EditCopy
    if GetClipBoardText <> "355" then Warnlog "Feldbefehl wurde nicht automatisch aktualisiert!: "+GetClipBoardText

    Call hCloseDocument
endcase
