'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: w_hhConversion.bas,v $
'*
'*  $Revision: 1.4 $
'*
'*  last change: $Author: hli $ $Date: 2004/12/22 08:23:40 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*******************************************************************
'*
'* owner :  hercule.li@sun.com
'*
'* short description : Test Hangul/Hanja Conversion 
'*
'\*******************************************************************

sub main

   Dim StartZeit
   Dim bAsianLanguage   as Boolean

   StartZeit = Now()

   use "writer\tools\inc\w_tools.inc"
   use "writer\tools\inc\w_tool3.inc"
   use "writer\level1\inc\tools\tools1.inc"
   use "writer\level1\inc\tools\tools2.inc"
   use "writer\level1\inc\hangulhanjaonversion\hhConversion1.inc"
   use "writer\level1\inc\hangulhanjaonversion\hhConversion2.inc"
   use "writer\level1\inc\hangulhanjaonversion\hhConversion3.inc"
   
   printlog Chr(13) + "Loading of Include - Files takes: " + Wielange ( StartZeit )
   printlog Chr(13) + "******* Writer - Level 1 - Test *******"

   Call hStatusIn ( "writer", "w_hhConversion.bas" , "HH Converstion" )

   printlog Chr(13) + "      - Test Hangul/Hanja Conversion"
      
    'Enable 'Asian Language support' ON
     bAsianLanguage = ActiveDeactivateAsianSupport(TRUE)

     printlog Chr(13) + "      - No selection "
  
      Call tHHNoSelction_1
      Call tHHNoSelction_2
      Call tHHNoSelction_3
      Call tHHNoSelction_4
      Call tHHNoSelction_5
      Call tHHNoSelction_6
      Call tHHNoSelction_7

     printlog Chr(13) + "      - Single selection "

      Call tHHSingleSelction_1

     printlog Chr(13) + "      - Multi selection "

      Call tHHMultiSelction_1

     printlog Chr(13) + "      - in text box and draw box "

      Call tHHTextBox_1
      Call tHHDrawBox_1
      
     printlog Chr(13) + "      - Hangul/Hanja Conversion"
  
      Call   tHHConversion_1
      Call   tHHConversion_2
      Call   tHHConversion_3
      Call   tHHConversion_4
      Call   tHHConversion_5
      Call   tHHConversion_6
      Call   tHHConversion_7
      Call   tHHConversion_8
      Call   tHHConversion_9
      Call   tHHConversion_10
      Call   tHHConversion_11
      Call   tHHConversion_12
      Call   tHHConversion_13
      Call   tHHConversion_14
      Call   tHHConversion_15
      Call   tHHConversion_16
      Call   tHHConversion_17     
      Call   tHHConversion_18
      Call   tHHConversion_19
      Call   tHHConversion_20
      Call   tHHConversion_21
      Call   tHHConversion_22
      Call   tHHConversion_23
      Call   tHHConversion_24
      Call   tHHConversion_25
      Call   tHHConversion_26
                                               
     printlog Chr(13) + "      - Hangul/Hanja Options"

      Call   tHHOptions_1
      Call   tHHOptions_2
      Call   tHHOptions_3
      Call   tHHOptions_4
      Call   tHHOptions_5
      Call   tHHOptions_6
      Call   tHHOptions_7
      Call   tHHOptions_8
      Call   tHHOptions_9
      Call   tHHOptions_10
      Call   tHHOptions_11
      Call   tHHOptions_12

    'Set the 'Asian Language support' to default
     if bAsianLanguage = FALSE then
         Call ActiveDeactivateAsianSupport(FALSE)
     end if
             
   Call hStatusOut

   Printlog Chr(13) + "End of Level 1 Test - Hangul/Hanja Conversion"
   Printlog "Duration: "+ WieLange ( StartZeit )
   Printlog "Date: " +  Date + "    Time: " + Time

end sub

sub LoadIncludeFiles
   use "global\system\inc\master.inc"
   use "global\system\inc\gvariabl.inc"
   Call GetUseFiles
   gApplication = "Writer"
end Sub
