'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: w_menutools.bas,v $
'*
'*  $Revision: 1.5 $
'*
'*  last change: $Author: hde $ $Date: 2005/05/23 07:54:37 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*******************************************************************
'*
'* owner :  hercule.li@sun.com
'*
'* short description : Menu tools test
'*
'\*******************************************************************

global seperator , measurementUnit as String
global iFlag(50)                   as Integer

sub main
   Dim StartZeit
   StartZeit = Now()

   use "writer\tools\inc\w_tools.inc"
   use "writer\tools\inc\w_tool3.inc"
   use "global\tools\inc\t_lists.inc"
   use "writer\level1\inc\advanced\w_sort.inc"
   use "writer\level1\inc\advanced\w_hyphenation.inc"
   use "writer\level1\inc\advanced\w_autocorrect1.inc"
   use "writer\level1\inc\advanced\w_autocorrect2.inc"
   use "writer\level1\inc\advanced\w_advanced_tools.inc"
   use "writer\level1\inc\advanced\w_drawing_tools1.inc"
   use "writer\level1\inc\advanced\w_drawing_tools2.inc"
   use "writer\level1\inc\advanced\w_drawing_tools3.inc"
'   use "writer\level1\inc\advanced\w_german_spell_check1.inc"
'   use "writer\level1\inc\advanced\w_german_spell_check2.inc"
'   use "writer\level1\inc\advanced\w_german_spell_check3.inc"

   printlog Chr(13) + "Loading of Include - Files takes: " + Wielange ( StartZeit )
   printlog Chr(13) + "******* Writer - Level 2 - Test *******"

   Call hStatusIn ( "writer" , "w_menutools.bas" , "hyphenation & autocorrect" )

   Call hNewDocument
   Call wOptionenUndo ( "Alle" )        ' Sets all writer-options to default
   Call GetSeperatorAndUnit()           ' Get Seperator and unit
   Call hCloseDocument

   Call w_sort                           ' Sort (Tools/Sort)
   Call w_hyphenation                    ' Hyphenation test (when word can be seperated two times)
   Call w_autocorrect_autoformat_1       'Test the AutoCorrect/AutoFormat/Options
   Call w_autocorrect_autoformat_2       'Test the AutoCorrect/AutoFormat/Word  Completion features
   Call fSetAllInDrawbar()
   Call w_drawing_tools_1                'Test drawing tools - 1
   Call w_drawing_tools_2                'Test drawing tools - 2
   Call w_drawing_tools_3                'Test drawing tools - 3
   Call fSetDrawbarToDefault()   
'   Call w_german_spell_check_1            'Spellcheck for some new German words - 1
'   Call w_german_spell_check_2            'Spellcheck for some new German words - 2
'   Call w_german_spell_check_3            'Spellcheck for some new German words - 3
    
   Call hStatusOut

   Printlog Chr(13) + "End of Level 1 - Test :"
   Printlog "Duration: "+ WieLange ( StartZeit )
   Printlog "Date: " +  Date + "    Time: " + Time

end sub

sub LoadIncludeFiles
   use "global\system\inc\master.inc"
   use "global\system\inc\gvariabl.inc"
   Call GetUseFiles
   gApplication = "Writer"
end sub
