'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: w_opt.bas,v $
'*
'*  $Revision: 1.4 $
'*
'*  last change: $Author: hde $ $Date: 2005/05/13 06:09:14 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : helge.delfs@sun.com
'*
'* short description : WRITER-Options Test
'*
'\***********************************************************************

global NO_REAL_PRINT as boolean  ' Don't print on real printer
Global mUnit as string

'-----------------------------------------------------------------------------------------
' purpose of test: are options correct written and managed?
'-----------------------------------------------------------------------------------------

sub main
    Dim StartTime
    StartTime = Now()
    NO_REAL_PRINT = True

    use "writer\tools\inc\w_tools.inc"
    use "writer\tools\inc\w_tool5.inc"
	use "writer\tools\inc\w_tool6.inc"

    use "writer\level1\inc\option\wr_o_1.inc"
    use "writer\level1\inc\option\wr_o_2.inc"
    use "writer\level1\inc\option\wr_o_3.inc"
    use "writer\level1\inc\option\wr_o_4.inc"

    use "writer\level1\inc\option\wr_o_a.inc"

    printlog Chr(13) + "Loading of Include - Files takes: " + Wielange ( StartTime )
    printlog Chr(13) + "******* Writer - Options - Test *******"

    gUseSysDlg = FALSE

    Call wSetMacroSecurityLevel(4)  ' Set security level to low
    Call hNewDocument
    mUnit = wOptionenLayout                 ' Set measurement unit to cm
    Call hCloseDocument
    
    Call hStatusIn("writer","w_opt.bas","Writer Option-Test")
    Call wr_o_1          'View / Grid /
    Call wr_o_2          'Defaultfont / Print / Table
    Call wr_o_3          'View 2 / Changes
    Call wr_o_4          'General / -> Caption
    Call wSetMacroSecurityLevel(3)   ' Set security to default -- medium
    Call hStatusOut

    Printlog Chr(13) + "End of Options - Test :"
    Printlog "Duration: "+ WieLange ( StartTime )
    Printlog "Date: " +  Date + "    Time: " + Time

end sub

sub LoadIncludeFiles
    use "global\system\inc\master.inc"
    use "global\system\inc\gvariabl.inc"
    Call GetUseFiles
    gApplication = "Writer"
end sub
