'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: w_textframes.bas,v $
'*
'*  $Revision: 1.3 $
'*
'*  last change: $Author: hde $ $Date: 2005/05/20 08:56:04 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*******************************************************************
'*
'* owner :  hercule.li@sun.com
'*
'* short description : Test the functionality of textframes
'*
'\*******************************************************************

global seperator , measurementUnit as String

sub main

   Dim StartZeit

   StartZeit = Now()

   use "writer\tools\inc\w_tools.inc"
   use "writer\tools\inc\w_tool3.inc"
   use "writer\level1\inc\tools\tools1.inc"
   use "writer\level1\inc\tools\tools2.inc"
   use "writer\level1\inc\textframes\w_textframes1.inc"
   use "writer\level1\inc\textframes\w_textframes2.inc"
   use "writer\level1\inc\textframes\w_textframes3.inc"
   use "writer\level1\inc\textframes\w_textframes4.inc"
   use "writer\level1\inc\textframes\w_textframes5.inc"
   
   printlog Chr(13) + "Loading of Include - Files takes: " + Wielange ( StartZeit )
   printlog Chr(13) + "******* Writer - Level 1 - Test *******"

   Call hStatusIn ( "writer", "w_textframes.bas","Writer Level1-Test" )
   Call wOptionenUndo ( "Alle" )        ' Sets all writer-options to default
   Call hNewDocument
   Call GetSeperatorAndUnit()           ' Get Seperator and unit
   Call hCloseDocument

   printlog Chr(13) + "      - Test of TextFrame function -"

      Call tTextframes_1
      Call tTextframes_2
      Call tTextframes_3
      Call tTextframes_4
      Call tTextframes_5
      Call tTextframes_6
      Call tTextframes_7     
      Call tTextframes_8
      Call tTextframes_9
      Call tTextframes_10 
      Call tTextframes_11
      Call tTextframes_12
      Call tTextframes_13
      Call tTextframes_14
      Call tTextframes_15
      Call tTextframes_16
      Call tTextframes_17
      Call tTextframes_18
      Call tTextframes_19
      Call tTextframes_20
      Call tTextframes_21
      Call tTextframes_22
      Call tTextframes_23
      Call tTextframes_24
      Call tTextframes_25
      Call tTextframes_26
      Call tTextframes_27
      Call tTextframes_28
      Call tTextframes_29
      Call tTextframes_30
      Call tTextframes_31
      Call tTextframes_32

   printlog Chr(13) + "      - Test of linked TextFrame -"

      Call tTextframes_33
      Call tTextframes_34
      Call tTextframes_35
      Call tTextframes_36
      Call tTextframes_37
      Call tTextframes_38
      Call tTextframes_39
      Call tTextframes_40
      Call tTextframes_41
      Call tTextframes_42
      Call tTextframes_43
      Call tTextframes_44
      Call tTextframes_45
      Call tTextframes_46
      Call tTextframes_47
      Call tTextframes_48
      
   printlog Chr(13) + "      - Test of MS-Interoperability -"

      Call tTextframes_49
      Call tTextframes_50
      Call tTextframes_51
      Call tTextframes_52
      Call tTextframes_53
      Call tTextframes_54
      Call tTextframes_55
      Call tTextframes_56
      Call tTextframes_57
      Call tTextframes_58
      Call tTextframes_59
      Call tTextframes_60
      Call tTextframes_61
      Call tTextframes_62
      Call tTextframes_63
      Call tTextframes_64
      Call tTextframes_65
      Call tTextframes_66
      Call tTextframes_67
      Call tTextframes_68
      Call tTextframes_69
      Call tTextframes_70
      Call tTextframes_71
      Call tTextframes_72    
      Call tTextframes_73
      Call tTextframes_74
      Call tTextframes_75
      Call tTextframes_76
      Call tTextframes_77
      Call tTextframes_78
      Call tTextframes_79
      Call tTextframes_80
      Call tTextframes_81
      Call tTextframes_82
      Call tTextframes_83
      Call tTextframes_84    
      Call tTextframes_85

   Call hStatusOut

   Printlog Chr(13) + "End of Level 1 Test (Textframes):"
   Printlog "Duration: "+ WieLange ( StartZeit )
   Printlog "Date: " +  Date + "    Time: " + Time

end sub

sub LoadIncludeFiles
   use "global\system\inc\master.inc"
   use "global\system\inc\gvariabl.inc"
   Call GetUseFiles
   gApplication = "Writer"
end Sub
