'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: bugtracker_p2_102000.inc,v $
'*
'*  $Revision: 1.4 $
'*
'*  last change: $Author: hde $ $Date: 2005/06/02 14:26:27 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/***********************************************************************
'*
'* owner : hercule.li@sun.com
'*
'* short description : Test p2 bug between 101001 to 102000 in BugTracker
'*
'************************************************************************
'*
' #1 t_101121
' #1 t_101174
' #1 t_101186
' #1 t_101187
' #1 t_101221
' #1 t_101224
' #1 t_101260
' #1 t_101323
' #1 t_101376
' #1 t_101398
' #1 t_101449
' #1 t_101549
' #1 t_101607
' #1 t_101627
' #1 t_101654
' #1 t_101656
' #1 t_101664
' #1 t_101834
' #1 t_101871
' #1 t_101929
' #1 t_101973
'*
'\***********************************************************************

testcase t_101121

  Dim  sTestFile , sSaveAsFile  as String

  sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\102000\101121.sxw")
  sSaveAsFile = ConvertPath (gOfficePath + "user\work\101121.sxw" )

  if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )

  printlog "- Test bug 101121 "
  '/// <b> Test bug 101121 </b>

  Call hNewDocument

  '/// Open test file 101121.sxw
   Call hDateiOeffnen(sTestFile)

  '/// Save the file to another file
   if hSpeichernUnterKill(sSaveAsFile) <> TRUE then
       Warnlog "Something wrong when Saving the test file !"
   end if

   FileClose
   Sleep 1
   Kontext "Active"
   if Active.Exists(2) then
       try
           Active.Yes
       catch
           Active.Click ( 202 )
       endcatch
   end if

   if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )

endcase

'----------------------------------------------------------

testcase t_101174

    Dim  sSaveAsFile , sGraphic as String
    
    sSaveAsFile = ConvertPath (gOfficePath + "user\work\101174.oxt" )
    sGraphic    = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\102000\101174.gif")
    
    if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )
    
    printlog "- Test bug 101174 "
    '/// <b> Test bug 101174 </b>
    
    '/// Open a empty writer doc
    Call hNewDocument
    
    '/// Insert a linked graphic
    InsertGraphicsFromFile
    Kontext "GrafikEinfuegenDlg"
    Verknuepfen.Check
    Dateiname.Settext sGraphic
    Oeffnen.Click
    
    wait 500
    '/// Edit/Links , click break link
    EditLinksWriter
    Kontext "VerknuepfungenBearbeiten"
    Loesen.Click
    sleep(1)
    Kontext "Active"
    if Active.Exists(1) then
        Active.YES
    else
        Warnlog "Messagebox should appear!"
    end if
    Kontext "VerknuepfungenBearbeiten"
    VerknuepfungenBearbeiten.Close
    
    Call wDokSchreiben "<ESCAPE>"
    
    '/// Save the file
    if hSpeichernUnterKill(sSaveAsFile) <> TRUE then
        warnlog "Something wrong when Saving the test file !"
    end if
    
    '/// Check if the graphic is still inserted
    Call wDokSchreiben "<Shift F5>"
    try
        Call fFormatGraphic("TabZusaetze")
        sleep(1)
        TabZusaetze.OK
    catch
        Warnlog "The bug isn't fixed !"
    endcatch
    
    Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_101186

  Dim  sTestFile  as String

  sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\102000\101186.doc")

  printlog "- Test bug 101186"
  '/// <b> Test bug 101186 </b>

  Call hNewDocument

  '/// Open test file 101186.doc
   Call hDateiOeffnen(sTestFile)

   Call wDokSchreiben "<ESCAPE>"

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_101187

    printlog "- Test bug 101187"
    '/// <b> Test bug 101187 </b>

    Call hNewDocument

    '/// Input "bt" and press F3
    Call wBlindtextEinfuegen

    Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_101221

  Dim  sTestFile , sSaveAsFile  as String

  sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\102000\101221.sxw")
  sSaveAsFile = ConvertPath (gOfficePath + "user\work\101221.sxw" )

  if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )

  printlog "- Test bug 101221"
  '/// <b> Test bug 101221 </b>

  Call hNewDocument

  '/// Open test file 101221.sxw
   Call hDateiOeffnen(sTestFile)

  '/// Input something in the document
   Call wDokSchreiben "abcd"

  '/// Save the file
   if hSpeichernUnterKill(sSaveAsFile) <> TRUE then
       Warnlog "Something wrong when Saving the test file !"
   end if

  '/// Close the file
   FileClose
   Sleep 1
   Kontext "Active"
   if Active.Exists(2) then
       try
           Active.Yes
       catch
           Active.Click ( 202 )
       endcatch
   end if

  '/// Reopen the file
   Call hDateiOeffnen(sSaveAsFile)

  Call hCloseDocument

  if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )

endcase

'----------------------------------------------------------

testcase t_101224

  Dim  sTestFile  as String

  sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\102000\101224.sxw")

  printlog "- Test bug 101224"
  '/// <b> Test bug 101224 </b>

  Call hNewDocument

  '/// Open test file 101224.sxw
   Call hDateiOeffnen(sTestFile)

  '/// select the frame containing the fields
  '/// + "Amtstraeger_Vorname" and "Amtstraeger_Nachname"
   Call wDokSchreiben "<Shift F5>"
   Call wDokSchreiben "<Tab>" , 2
   Sleep 2

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_101260

  Dim  sTestFile  as String

  sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\102000\101260.doc")

  printlog "- Test bug 101260"
  '/// <b> Test bug 101260 </b>

  Call hNewDocument

  '/// Open test file 101260.doc
   Call hDateiOeffnen(sTestFile)
   Sleep 2

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_101323

  Dim  sTestFile  as String

  sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\102000\101323.sxi")

  printlog "- Test bug 101323"
  '/// <b> Test bug 101323 </b>

  Call hNewDocument

  '/// Insert - Object - OLE Object ,
  '/// + Create from file , Choose a impress file
   InsertObjectOLEObject
   Kontext "OLEObjektEinfuegen"
     AusDateiErstellen.Check
     Sleep 1
     oleDatei.Settext sTestFile
   OLEObjektEinfuegen.OK
   Sleep 5

   Kontext "Active"
   if Active.Exists then
       if Active.GetRT = 304 then
           Active.Ok
           Warnlog "#i40530# impress file can't be inserted!"
           Goto NOTEST
       end if
   end if

   Call wDokSchreiben "<Escape>"
   Sleep 2
   Call wDokSchreiben "<Up>"
   Sleep 2
   Call gMouseClick(55,50)
   Sleep 2

   try
       Call fFormatFrame("TabType")
       TabType.OK
   catch
       Warnlog "The bug isn't fixed !"
   endcatch
NOTEST:
  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_101376

  printlog "- Test bug 101376"
  '/// <b> Test bug 101376 </b>

  '/// This case can't be tested yet due to it is CJK
  '/// + characters display test .
   QAErrorLog "Can't be tested yet due to it is CJK characters display test ."

endcase

'----------------------------------------------------------

testcase t_101398

  printlog "- Test bug 101398"
  '/// <b> Test bug 101398 </b>

  Call hNewDocument

  '/// Insert a table
   Call hTabelleEinfuegen

  '/// Delete a column of the table
   FormatColumnDelete

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_101449

  printlog "- Test bug 101449"
  '/// <b> Test bug 101449 </b>

  Call hNewDocument

  '/// Input some text
   Call wDokSchreiben "ABCD"

  '/// Copy them
   Call wDokSchreiben "<Shift Home>"
   EditCopy

   Call wDokSchreiben "<End><Return>"

  '/// Paste as DDE link
   EditPasteSpecialWriter
   Wait 500
   Kontext "InhaltEinfuegen"
     Auswahl.Select 5
   InhaltEinfuegen.OK
   Sleep 1

   Call wDokSchreiben "<Shift Home>"
   Call fFormatCharacter("TabHyperlinkZeichen")
     if Hinweis.GetText <> "ABCD" then
         Warnlog "Should get ABCD , but get " & Hinweis.GetText
     end if
   TabHyperlinkZeichen.Cancel

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_101549

    Dim  sTestFile , sSaveAsFile  as String, sCurrentFilter as string, sCurrentFilterExt as string

    sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\102000\101549.doc")
    sSaveAsFile = ConvertPath (gOfficePath + "user\work\101549.sxw" )

    sCurrentFilter = hGetUIFiltername("StarOffice XML (Writer)")
    
    if sCurrentFilter = "Error: No matching VALUE found for key" then    
        Warnlog "No matching filter name found!"
        goto endsub
    endif
  
    if hFileExists ( sSaveAsFile ) then app.kill ( sSaveAsFile )

    printlog "- Test bug 101549"
    '/// <b> Test bug 101549 </b>

    Call hNewDocument

    '/// Open test file 101549.doc
    Call hDateiOeffnen(sTestFile)

    '/// Save the file as a writer 6 format file
    FileSaveAs
    Kontext "SpeichernDlg"
    Sleep (1)
    AutomatischeDateinamenserweiterung.UnCheck

    try
        DateiTyp.Select sCurrentFilter & " (.sxw)"
    catch
        Warnlog "Unable to select filter: " & sCurrentFilter
        SpeichernDlg.Cancel
        Call hCloseDocument
        goto endsub
    endcatch
    Sleep (1)
    Dateiname.SetText sSaveAsFile
    Sleep (1)
    Speichern.Click
    
    Kontext "AlienWarning"
    if AlienWarning.Exists then AlienWarning.Ok

    '/// Close the file
    Call hCloseDocument
endcase

'----------------------------------------------------------

testcase t_101607

  printlog "- Test bug 101607"
  '/// <b> Test bug 101607 </b>

  '/// This case can't be tested yet due to it is a print problem
   QAErrorLog "Can't be tested yet due to it is a print problem."

endcase

'----------------------------------------------------------

testcase t_101627

  Dim sTestFile as String

  sTestFile = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\102000\101627.sxw")

  printlog "- Test bug 101627"
  '/// <b> Test bug 101627 </b>

  Call hNewDocument

  '/// Open test file 101627.sxw
   Call hDateiOeffnen(sTestFile)

  '/// Delete 1st picture
   Call wDokSchreiben "<Shift F5>"
   Call wDokSchreiben "<Tab>" , 2
   Call wDokSchreiben "<Delete>"
   Sleep 2

  '/// click on the 1st (ex-) corresponding Reference
   Call gMouseClick(55,50)

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_101654

    Dim i as Integer
    
    printlog "- Test bug 101654"
    '/// <b> Test bug 101654 </b>
    
    Call hNewDocument
    
    '/// Input four paragraphs
    for i = 0 to 3
       Call wBlindtextEinfuegen
       wait 500
    next i
    
    UseBindings
    '/// Activate Redlining (WITHOUT showing the changes),
    EditChangesRecord
    EditChangesShow
    
    '/// Move the forth paragraph twice up with the Ctrl-Alt-Up
    Call wDokSchreiben "<Up>"
    Call wDokSchreiben "<MOD1 MOD2 Up>" , 2
    Sleep 2
    
    Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_101656

  printlog "- Test bug 101656"
  '/// <b> Test bug 101656 </b>

  Call hNewDocument

   UseBindings
  '/// Activate Redlining
   EditChangesRecord

  '/// Insert dummy text
   Call wDokSchreiben "ABCDEFG"

  '/// Select some of the text, delete it
   Call wDokSchreiben "<Shift Left>" , 3
   Call wDokSchreiben "<Delete>"
   Sleep 2

  '/// Undo
   EditUndo

   Sleep 2

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_101664

  Dim j as integer

  printlog "- Test bug 101664"
  '/// <b> Test bug 101664 </b>

  Call hNewDocument

  '/// Insert a note
   InsertNoteWriter
   Kontext "NotizEinfuegen"
     TextEingabe.SetText "Hello"
   NotizEinfuegen.OK
   Sleep 2

  '/// Active navigator , delete the note
   Call fStartupNavigator("Notes" , 1)
     Auswahlliste.TypeKeys "<Down>"
     Auswahlliste.TypeKeys "<Delete>"
     Sleep 2

     Auswahlliste.TypeKeys "<Home>"         '<- Set focus to first entry
     if Auswahlliste.GetItemCount > 11 then '<- If nodes are open
         For j = 1 to 12                    '<- close all nodes
             Auswahlliste.Select j
             Auswahlliste.TypeKeys "-"
         next j
     end if
     Auswahlliste.TypeKeys "<Home>"   ' point focus to first entry
     Auswahlliste.TypeKeys "<down>" , 10

     Auswahlliste.TypeKeys "<return>"
     sleep 2
     Inhaltsansicht.Click
     sleep 2
     Auswahlliste.TypeKeys "<Down>"

     Auswahlliste.OpenContextMenu
     try
         if MenuGetItemCount = 3 then goto NOBug
         hMenuSelectNr(4)
         Sleep 2
         hMenuSelectNr(2)
         Sleep 1
         Warnlog "The note should NOT exist !"
     catch
     endcatch
NOBug:
   Call fCloseNavigator

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_101834

  printlog "- Test bug 101834"
  '/// <b> Test bug 101834 </b>

  '/// This case can't be tested yet due to it is a read-only test
   QAErrorLog "Can't be tested yet due to it is a read-only test ."

endcase

'----------------------------------------------------------

testcase t_101871

    Dim  sTestFile , sSaveAsFile  as String

    sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\102000\101871.sxw")
    sSaveAsFile = ConvertPath (gOfficePath + "user\work\101871.sxw" )

    printlog "- Test bug 101871"
    '/// <b> Test bug 101871 </b>

    Call hNewDocument

    '/// Open test file 101871.sxw
    Call hDateiOeffnen(sTestFile)

    '/// Save the file to another file and close the file
    if hSpeichernUnterKill(sSaveAsFile) <> TRUE then
        Warnlog "Something wrong when Saving the test file !"
    end if

    Call hCloseDocument
    
    '/// Reopen the saved file
    Call hDateiOeffnen(sSaveAsFile)

    '/// Check if the content is correct
    Call wDokSchreiben "<Shift End>"
    EditCopy
    if GetClipboardText <> "1" then
        Warnlog "Should get 1 , but get " & GetClipboardText
    end if

    Call wDokSchreiben "<Right>"
    Call wDokSchreiben "<Shift End>"
    EditCopy
    if GetClipboardText <> "Important Data" then
        Warnlog "Should get Important Data , but get " & GetClipboardText
    end if

    Call hCloseDocument
endcase

'----------------------------------------------------------

testcase t_101929

  Dim  sTestFile  as String

  sTestFile   = Convertpath (gTesttoolpath + "writer\regression\input\bugtracker_p2\102000\101929.sxw")

  printlog "- Test bug 101929"
  '/// <b> Test bug 101929 </b>

  Call hNewDocument

  '/// Open test file 101929.sxw
   Call hDateiOeffnen(sTestFile)

  Call hCloseDocument

endcase

'----------------------------------------------------------

testcase t_101973

  Dim bCTLLanguage    as Boolean

  printlog "- Test bug 101973"
  '/// <b> Test bug 101973 </b>

  Call hNewDocument

  '/// Set 'CTL Language support' ON
   bCTLLanguage = ActiveDeactivateCTLSupport(TRUE)

  '/// Format/Page/Page, select 'Right to Left (horizontal)'
  '/// + in  Text Direction
   Call fFormatPageWriter("TabSeite")
     Textfluss.Select 2
   TabSeite.OK

  'Set the 'CTL Language support' to default
   if bCTLLanguage = FALSE then
       Call ActiveDeactivateCTLSupport(FALSE)
   end if

  Call hCloseDocument

endcase

