'encoding UTF-8  Do not remove or change this line!
'*************************************************************************
'*
'*  $RCSfile: w_bugtracker_p2_103000.bas,v $
'*
'*  $Revision: 1.2 $
'*
'*  last change: $Author: hde $ $Date: 2005/05/23 08:28:34 $
'*
'*  The Contents of this file are made available subject to the terms of
'*  either of the following licenses
'*
'*         - GNU Lesser General Public License Version 2.1
'*         - Sun Industry Standards Source License Version 1.1
'*
'*  Sun Microsystems Inc., October, 2000
'*
'*  GNU Lesser General Public License Version 2.1
'*  =============================================
'*  Copyright 2000 by Sun Microsystems, Inc.
'*  901 San Antonio Road, Palo Alto, CA 94303, USA
'*
'*  This library is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License version 2.1, as published by the Free Software Foundation.
'*
'*  This library is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'*
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
'*  MA  02111-1307  USA
'*
'*
'*  Sun Industry Standards Source License Version 1.1
'*  =================================================
'*  The contents of this file are subject to the Sun Industry Standards
'*  Source License Version 1.1 (the License); You may not use this file
'*  except in compliance with the License. You may obtain a copy of the
'*  License at http://www.openoffice.org/license.html.
'*
'*  Software provided under this License is provided on an AS IS basis,
'*  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
'*  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
'*  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
'*  See the License for the specific provisions governing your rights and
'*  obligations concerning the Software.
'*
'*  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
'*
'*  Copyright: 2000 by Sun Microsystems, Inc.
'*
'*  All Rights Reserved.
'*
'*  Contributor(s): _______________________________________
'*
'*
'/*******************************************************************
'*
'* owner :  hercule.li@sun.com
'*
'* short description : Test p2 bugs between 102001 to 103000 in BugTracker
'*
'\*******************************************************************

global seperator , measurementUnit as String

sub main

    Dim StartZeit
    StartZeit = Now()
    
    use "writer\tools\inc\w_tools.inc"
    use "writer\tools\inc\w_tool3.inc"
    use "global\tools\inc\t_files.inc"   
    use "writer\regression\inc\tools\tools1.inc"
    use "writer\regression\inc\tools\tools2.inc"
    use "writer\regression\inc\bugtracker_p2\bugtracker_p2_103000.inc"
                                    
    printlog Chr(13) + "Loading of Include - Files takes: " + Wielange ( StartZeit )
    printlog Chr(13) + "******* Writer - Level 1 - Test *******"
    
    Call hStatusIn ( "writer", "w_bugtracker_p2_103000.bas" , "Writer Regression-Test" )
    
    Call hNewDocument
    Call GetSeperatorAndUnit()           ' Get Seperator and unit
    Call hCloseDocument
    
    printLog Chr(13) + "-- Test p2 bug between 102001 to 103000 in BugTracker --"
    
    Call t_102042
    Call t_102044
    Call t_102077
    Call t_102110        
    Call t_102167
    Call t_102258
    Call t_102271
    Call t_102287
    Call t_102297
    Call t_102306
    Call t_102321
    Call t_102353
    Call t_102358
    Call t_102366
    Call t_102398
    Call t_102411
    Call t_102424
    Call t_102434
    Call t_102455
    Call t_102483
    Call t_102547
    Call t_102572
    Call t_102607
    Call t_102675
    Call t_102681
    Call t_102689
    Call t_102750
    Call t_102755
    Call t_102768
    Call t_102794
    Call t_102845
    Call t_102938
    Call t_102940
        
    Call hStatusOut
    
    Printlog Chr(13) + "End of Regression Test (p2 bug between 102001 to 103000 in BugTracker)"
    Printlog "Duration: "+ WieLange ( StartZeit )
    Printlog "Date: " +  Date + "    Time: " + Time

end sub

sub LoadIncludeFiles
   use "global\system\inc\master.inc"
   use "global\system\inc\gvariabl.inc"
   Call GetUseFiles
   gApplication = "Writer"
end sub
